--联盟系统 科技类型Vo
Lua_AllianceScienceTypeVo = class("Lua_AllianceScienceTypeVo");

function Lua_AllianceScienceTypeVo:ctor(data)
	if data ~= nil then
		self:fromServer(data);
	end
end

function Lua_AllianceScienceTypeVo:dispose()
end

function Lua_AllianceScienceTypeVo:fromServer(msg)
	self.scienceType = msg.science_type;
	self.curScienceId = msg.science_id;
	self.nextScienceId = msg.node_info;
	self.resetNum = msg.reset_num;
	self.addProp = msg.add_prop;

	self.nextLightVo = Lua_AllianceScienceConfigVo.new(self.nextScienceId);
	self.addPropArr = DataCenter.attributesUtil:getAttrArrByServer(self.addProp);
end

function Lua_AllianceScienceTypeVo.Get:getFirstScienceId()
	return self.nextLightVo.id - self.nextLightVo.node + 1;
end

function Lua_AllianceScienceTypeVo.Get:getSciencePointArr()
	local firstScienceId = self.getFirstScienceId;
	if self._sciencePointArr == nil or firstScienceId ~= self._lastScienceId then
		self._lastScienceId = firstScienceId;
		self._sciencePointArr = Array();

		local vo;
		for i = 1, Lua_AllianceData.SCIENTCE_POINT_NUM do
			vo = Lua_AllianceScienceConfigVo.new(firstScienceId + i - 1);
			self._sciencePointArr:add(vo);
		end
	end
	return self._sciencePointArr;
end

function Lua_AllianceScienceTypeVo:updateRedState()
	if self.nextLightVo ~= nil then
		if self.nextLightVo.level >= DataCenter.allianceUtil:getConstConfig("science_lvl_limit", 1) then
			return false;
		end

		local goldCostInfo = self.nextLightVo.gold_coins_consume;
		local contriCostInfo = self.nextLightVo.contri_consume;
		return DataCenter.packData:getItemCountById(goldCostInfo[1]) >= goldCostInfo[2] and DataCenter.packData:getItemCountById(contriCostInfo[1]) >= contriCostInfo[2];
	else
		return false;
	end
end