--联盟系统 联盟挑战配置Vo
Lua_AllianceChallengeConfigVo = class("Lua_AllianceChallengeConfigVo");

function Lua_AllianceChallengeConfigVo:ctor(id, config)
	self.id = id;
	self.config = config;
	if self.config == nil then
		self.config = getConfig({"league_challenge", self.id});
	end
end

function Lua_AllianceChallengeConfigVo:dispose()
end

function Lua_AllianceChallengeConfigVo.Get:monsterPlayerData()
	if self._monsterPlayerData == nil then
		self._monsterPlayerData = Lua_MonsterPlayerConfigData.getConfigData(self.boss_id);
	end
	return self._monsterPlayerData;
end

function Lua_AllianceChallengeConfigVo.Get:monsterData()
	if self._monsterData == nil then
		local monsterId = self.monsterPlayerData.fighter_list[1][1][1];
		self._monsterData = Lua_MonsterConfigData.getMonsterConfig(monsterId);
	end
	return self._monsterData;
end

-------------------配置数据-------------------

function Lua_AllianceChallengeConfigVo.Get:boss_type()--怪物类型
	return self.config.boss_type;
end

function Lua_AllianceChallengeConfigVo.Get:boss_id()--怪物id
	return self.config.boss_id;
end

function Lua_AllianceChallengeConfigVo.Get:difficulty_type()--难度类型
	return self.config.difficulty_type;
end

function Lua_AllianceChallengeConfigVo.Get:difficulty_level()--难度等级
	return self.config.difficulty_level;
end

function Lua_AllianceChallengeConfigVo.Get:challenge_reward()--挑战奖励
	return self.config.challenge_reward;
end

function Lua_AllianceChallengeConfigVo.Get:blood_reward()--血量奖励
	return self.config.blood_reward;
end

function Lua_AllianceChallengeConfigVo.Get:kill_fix_reward()--击杀固定奖励
	return self.config.kill_fix_reward;
end

function Lua_AllianceChallengeConfigVo.Get:kill_rate_reward()--击杀概率奖励
	return self.config.kill_rate_reward;
end

function Lua_AllianceChallengeConfigVo.Get:rank_reward()--排行奖励
	return self.config.rank_reward;
end

function Lua_AllianceChallengeConfigVo.Get:single_show_reward()--单个显示奖励
	return self.config.single_show_reward;
end

function Lua_AllianceChallengeConfigVo.Get:all_show_reward()--全部显示奖励
	return self.config.all_show_reward;
end