Lua_ChatChanelIconItem = class("Lua_ChatChanelIconItem", Lua_DisplayObject);
function Lua_ChatChanelIconItem:ctor(p)
    self:superCall("ctor", p); 

    self.chanelBg = UICreate.createUIAtlasImage(self.content, "", "", 0, 0, 82, 45);
	self.chanelBg:setLocation(0, 0, 0);
end

function Lua_ChatChanelIconItem:setChanle(val)
    local channel = val.channel;
    if val.broadcast_type ~= nil then
        channel = val.broadcast_type;
    end
    if channel == Lua_ChatData.CHANNEL_WORLD then
        self.chanelBg:setAltas("chat_atlas", "ui_liaotian_label_01");
    elseif channel == Lua_ChatData.CHANNEL_LEAGUE then
        self.chanelBg:setAltas("chat_atlas", "ui_liaotian_label_03" );
    elseif channel == Lua_ChatData.CHANNEL_SYSTEM  then
        self.chanelBg:setAltas("chat_atlas", "ui_liaotian_label_02" );
    elseif channel == Lua_ChatData.CHANNEL_CROSS_SERVER then
        self.chanelBg:setAltas("chat_atlas", "ui_liaotian_label_04" );
    end
end