checkRequire("Lua_DownLoadRewardData");
Lua_DownLoadRewardProxy = class("Lua_DownLoadRewardProxy");
function Lua_DownLoadRewardProxy:ctor()
	DataCenter.downLoadRewardData = Lua_DownLoadRewardData.new();

	Lua_MsgUtil.addLuaMsg(80126007, self, self.nDownLoadRewardInfo);
	MsgUtil.addEventListener(EventsDefine.BACKGROUND_DOWNLOAD_END, self, self.updateDownLoadShowRedDot); -- 下载完成
end

-- 通知下载奖励领取状态（通知）
function Lua_DownLoadRewardProxy:nDownLoadRewardInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80126007();
		msg:ParseFromString(mp.data);
		DataCenter.downLoadRewardData:fromServer80126007(msg);

		local curProgress = UpdateResManager.getInstance().currentProgress;
		if curProgress >= 100 then
			DataCenter.redPointData:updateRedPointState(Lua_RedPointList.Download, msg.reward_state == 0);
		end
	end
end

function Lua_DownLoadRewardProxy:updateDownLoadShowRedDot()
	if DataCenter.downLoadRewardData.downLoadState == 0 then
		DataCenter.redPointData:updateRedPointState(Lua_RedPointList.Download, true);
	end
end

-- 下载奖励领取
function Lua_DownLoadRewardProxy:sDownLoadRewardInfo()
	sendMsg(10126007);
end