Lua_FundsData = class("Lua_FundsData");
Lua_FundsData.specialFunds = 1; -- 超值基金
Lua_FundsData.preciousFunds = 2; -- 尊享基金
function Lua_FundsData:ctor()
	self:dispose();
end

function Lua_FundsData:dispose()
	self.recordType = 1; -- 记录类型
end

function Lua_FundsData:fromServer50197005(msg)
	if msg == nil then
		return;
	end
	
	self.curDay = msg.curr_index; -- 当前天数
	self.worldLv = msg.world_level; -- 世界等级
	self.round = msg.round; -- 轮次

	local obj;
	local redDotState = {false, false};
	self.maxDay = {}; -- 最后已领取的天数字典 key 档位 value最后已领取天数
	for i = 1, #msg.last_index_map do
		obj = msg.last_index_map[i];
		self.maxDay[obj.key] = obj.value;
		redDotState[obj.key] = obj.value < msg.curr_index;
	end
	
	self.LockMap = {}; -- 各档次解锁状态 key 档位 value 0未开启 1开启
	for i = 1, #msg.lock_map do
		obj = msg.lock_map[i];
		self.LockMap[obj.key] = obj.value;
		redDotState[obj.key] = obj.value == 1 and redDotState[i];
	end
	DataCenter.redPointData:updateRedPointState(Lua_RedPointList.ExcellentAct_Funds_Special, redDotState[1]);
	-- DataCenter.redPointData:updateRedPointState(Lua_RedPointList.ExcellentAct_Funds_Exclusive, redDotState[2]);
end