Lua_UpStarOfServerData = class("Lua_UpStarOfServerData")
function Lua_UpStarOfServerData:ctor()
end

function Lua_UpStarOfServerData:fromServer50197009(msg)
	if msg == nil then
		return;
	end

	self.heroId = msg.hero_id; -- 英雄id 0移除
	self.curHeroMaxStar = msg.star; -- 最高星级
	self.heroState = msg.hero_state; -- 英雄状态 1已选择 2已锁定
	self.giftState = msg.gift_state -- 礼包领取状态 key:礼包星级 free_times:免费剩余次数 recharge_times：付费剩余次数
	self.endTimes = msg.end_time; -- 距离结束剩余时间戳
	self.recordHero = self.curSelectHero;
	self.curSelectHero = self:getCurSelectHero(msg.hero_id);

	local redDotState = false;
	if msg.hero_state == 2 then
		for i = 1, #msg.gift_state do
			if msg.gift_state[i].free_times > 0 then
				redDotState = true;
				break;
			end
		end
	end
	DataCenter.redPointData:updateRedPointState(Lua_RedPointList.ExcellentAct_UpStarOfServer, redDotState);
end

function Lua_UpStarOfServerData:getCurSelectHero(heroId)
	if heroId == 0 then
		return nil;
	end

	local constConfig = DataCenter.upStarOfServerUtil.constConfig;
	local packHeroUidArr = DataCenter.heroData.allHeroUidArr;
	local heroArr = Array();
	local heroVo;
	for i = 1, packHeroUidArr:getSize() do
		heroVo = DataCenter.heroData:getItemByUniqueId(packHeroUidArr[i]);
		if heroVo.id == heroId and heroVo.star >= constConfig.star_limit then
			heroArr:add(heroVo);
		end
	end
	heroArr:sort("star", true);

	local showHeroVo;
	if heroArr:getSize() <= 0 and self.heroState == 2 then -- 用于玩家误删英雄后的显示
		-- showHeroVo = Lua_HeroVo.new(heroId);
		-- showHeroVo.star = self.curHeroMaxStar;
		return self.recordHero;
	else
		showHeroVo = heroArr[1];
	end
	return showHeroVo;
end