-- 精彩活动代理类
checkRequire("Lua_NewServeGiftData");
checkRequire("Lua_FundsData");
checkRequire("Lua_FundsUtil");
checkRequire("Lua_UpStarOfServerData");
checkRequire("Lua_UpStarOfServerUtil");
checkRequire("Lua_HeroGatherData");
checkRequire("Lua_CumulateGiftData");
checkRequire("Lua_CashRewardData");
checkRequire("Lua_StarRiverTrialData");
checkRequire("Lua_OpenServiceAthleticsData");
checkRequire("Lua_InvestmentData");
checkRequire("Lua_DailyDiscountData");
Lua_ExcellentActivityProxy = class("Lua_ExcellentActivityProxy");
function Lua_ExcellentActivityProxy:ctor()
	DataCenter.newServeGiftData = Lua_NewServeGiftData.new();
	DataCenter.fundsData = Lua_FundsData.new();
	DataCenter.fundsUtil = Lua_FundsUtil.new();
	DataCenter.upStarOfServerData = Lua_UpStarOfServerData.new();
	DataCenter.upStarOfServerUtil = Lua_UpStarOfServerUtil.new();
	DataCenter.heroGatherData = Lua_HeroGatherData.new();
	DataCenter.cumulateGiftData = Lua_CumulateGiftData.new();
	DataCenter.cashRewardData = Lua_CashRewardData.new();
	DataCenter.investmentData = Lua_InvestmentData.new();
	DataCenter.dailyDiscountData = Lua_DailyDiscountData.new();

	Lua_MsgUtil.addLuaMsg(50197003, self, self.rNewServeGiftInfo);
	-- Lua_MsgUtil.addLuaMsg(50197005, self, self.rSpecialFundsInfo);
	Lua_MsgUtil.addLuaMsg(50197009, self, self.rUpStarOfServerInfo);
	Lua_MsgUtil.addLuaMsg(50197016, self, self.rHeroGatherInfo);
	Lua_MsgUtil.addLuaMsg(80197016, self, self.nHeroGatherInfo);
	Lua_MsgUtil.addLuaMsg(50197018, self, self.rCumulateGiftInfo);
	Lua_MsgUtil.addLuaMsg(50197024, self, self.rCashRewardInfo);
	Lua_MsgUtil.addLuaMsg(50110006, self, self.rInvestmentLogin);
	Lua_MsgUtil.addLuaMsg(50197001, self, self.rDailyDiscountInfo);
end

------------------------------ 新服专享活动 ------------------------------

-- 请求新服专享活动返回
function Lua_ExcellentActivityProxy:rNewServeGiftInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197003();
		msg:ParseFromString(mp.data);
		DataCenter.newServeGiftData:fromServer50197003(msg);
		Lua_MsgUtil.callFunc("UPDATE_NEWSERVEGIFT_INFO");
	end
end

-- 请求新服专享活动界面
function Lua_ExcellentActivityProxy:sNewServeGiftInfo(first_login)
	local cmd = ProtoPublic_pb.Proto10197003();
	cmd.first_login = first_login or 0; -- 1为请求界面标志位
	sendMsg(10197003, cmd);
end

-- 领取奖励
function Lua_ExcellentActivityProxy:sGetNewServeReward(param)
	local cmd = ProtoPublic_pb.Proto10197004();
	cmd.draw_id = param;
	sendMsg(10197004, cmd);
end










------------------------------ 超值基金 ------------------------------

-- 请求超值基金界面信息(返回)
function Lua_ExcellentActivityProxy:rSpecialFundsInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197005();
		msg:ParseFromString(mp.data);
		DataCenter.fundsData:fromServer50197005(msg);
		Lua_MsgUtil.callFunc("UPDATE_FUNDSITEM_INFO");
	end
end

-- 请求超值基金界面信息
function Lua_ExcellentActivityProxy:sSpecialFundsInfo()
	sendMsg(10197005);
end

-- 请求领取超值基金奖励，type 领取基金类型 1 超值基金，2 尊享基金
function Lua_ExcellentActivityProxy:sSpecialFundsReward(type)
	local cmd = ProtoPublic_pb.Proto10197006();
	cmd.type = type;
	sendMsg(10197006, cmd);
end










------------------------------ 升星专属（开服）------------------------------

-- 请求升星专属本地活动界面信息(返回)
function Lua_ExcellentActivityProxy:rUpStarOfServerInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197009();
		msg:ParseFromString(mp.data);
		DataCenter.upStarOfServerData:fromServer50197009(msg);
		Lua_MsgUtil.callFunc("UPDATE_UPSTAROFSERVER_INFO");
	end
end

-- 请求升星专属本地活动界面信息
function Lua_ExcellentActivityProxy:sUpStarOfServerInfo()
	sendMsg(10197009);
end

-- 请求升星专属本地活动添加英雄，hero_id 英雄唯一id 0移除，hero_state 英雄状态 1已选择 2已锁定，hero_star 英雄星级
function Lua_ExcellentActivityProxy:sUpStarOfServerAddHero(hero_id, hero_state, hero_star)
	local cmd = ProtoPublic_pb.Proto10197010();
	cmd.hero_id = hero_id;
	cmd.hero_state = hero_state;
	cmd.hero_star = hero_star;
	sendMsg(10197010, cmd);
end

-- 请求领取升星专属本地活动礼包，gift_id 请求领取的礼包id
function Lua_ExcellentActivityProxy:sReceiveUpStarOfServerGift(gift_id)
	local cmd = ProtoPublic_pb.Proto10197011();
	cmd.gift_id = gift_id;
	sendMsg(10197011, cmd);
end










------------------------------ 英雄集结 ------------------------------

-- 请求英雄集结界面信息（返回）
function Lua_ExcellentActivityProxy:rHeroGatherInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197016();
		msg:ParseFromString(mp.data);
		DataCenter.heroGatherData:fromServer(msg);
		Lua_MsgUtil.callFunc("UPDATE_HEROGATHER_INFO");
	end
end

-- 通知英雄集结界面信息（通知）
function Lua_ExcellentActivityProxy:nHeroGatherInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80197016();
		msg:ParseFromString(mp.data);
		DataCenter.heroGatherData:fromServer(msg);
		Lua_MsgUtil.callFunc("UPDATE_HEROGATHER_INFO");
	end
end

-- 请求英雄集结界面信息
function Lua_ExcellentActivityProxy:sHeroGatherInfo()
	sendMsg(10197016);
end

-- 请求领取英雄集结奖励
function Lua_ExcellentActivityProxy:sReceiveActiveGift()
	sendMsg(10197017);
end









------------------------------ 积天豪礼 ------------------------------

-- 请求积天豪礼界面信息（返回）
function Lua_ExcellentActivityProxy:rCumulateGiftInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197018();
		msg:ParseFromString(mp.data);
		DataCenter.cumulateGiftData:fromServer50197018(msg);
		Lua_MsgUtil.callFunc("UPDATE_CUMULATE_GIFT_INFO");
	end
end

-- 请求积天豪礼界面信息
function Lua_ExcellentActivityProxy:sCumulateGiftInfo()
	sendMsg(10197018);
end

-- 请求获取积天豪礼奖励，index 档次索引id
function Lua_ExcellentActivityProxy:sReceiveCumulateGiftGift(index)
	local cmd = ProtoPublic_pb.Proto10197019();
	cmd.index = index;
	sendMsg(10197019, cmd);
end










------------------------------ 兑换活动 ------------------------------

-- 请求兑换活动界面信息（返回）
function Lua_ExcellentActivityProxy:rCashRewardInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197024();
		msg:ParseFromString(mp.data);
		DataCenter.cashRewardData:fromServer50197024(msg);
		Lua_MsgUtil.callFunc("UPDATE_CASHREWARD_INFO");
	end
end

-- 请求兑换活动界面信息
function Lua_ExcellentActivityProxy:sCashRewardInfo()
	sendMsg(10197024);
end

-- 请求获取兑换活动奖励，index 档次索引id
function Lua_ExcellentActivityProxy:sReceiveCashReward(gift_id, gift_amount, round_id)
	local cmd = ProtoPublic_pb.Proto10197025();
	cmd.gift_id = gift_id;
	cmd.gift_amount = gift_amount;
	cmd.round_id = round_id;
	sendMsg(10197025, cmd);
end

-- 请求是否首次打开兑换活动
function Lua_ExcellentActivityProxy:sFirstEnterCashReward(round)
	local cmd = ProtoPublic_pb.Proto10197027();
	cmd.round = round;
	sendMsg(10197027, cmd);
end









------------------------------ 成长投资 ------------------------------

-- 请求成长投资界面信息（返回）
function Lua_ExcellentActivityProxy:rInvestmentLogin(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50110006();
		msg:ParseFromString(mp.data);
		DataCenter.investmentData:fromServer50110006(msg);
	end
end

-- 请求成长投资界面信息
function Lua_ExcellentActivityProxy:sInvestmentLogin()
	sendMsg(10110006);
end

-- 领取成长投资奖励 draw_id 领取奖励 id
function Lua_ExcellentActivityProxy:sInvestmentDraw(id)
	local cmd = ProtoPublic_pb.Proto10110007();
    cmd.id = id;
	sendMsg(10110007, cmd);
end










------------------------------ 每日特惠活动 ------------------------------

-- 请求每日礼包界面信息（返回）
function Lua_ExcellentActivityProxy:rDailyDiscountInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197001();
		msg:ParseFromString(mp.data);
		DataCenter.dailyDiscountData:fromServer50197001(msg);
		Lua_MsgUtil.callFunc("UPDATE_DAILYDISCOUNT_INFO");
	end
end

-- 请求每日礼包界面信息
function Lua_ExcellentActivityProxy:sDailyDiscountInfo()
    sendMsg(10197001);
end

-- 请求领取每日礼包 draw_id 礼包id
function Lua_ExcellentActivityProxy:sGetDailyDiscountReward(draw_id)
	local cmd = ProtoPublic_pb.Proto10197002();
	cmd.draw_id = draw_id;
	sendMsg(10197002, cmd);
end