-- 明星页签
Lua_HeroTabVo = class("Lua_HeroTabVo")
function Lua_HeroTabVo:ctor(id,config)
    self.id = id;
    self.config = config;
    self:dispose();
end

function Lua_HeroTabVo:dispose()
    self._showTipsDes = nil;
    self._showTabState = nil;
    self._showGrayState = nil;
    self._showRedDotState = nil;
end

-- 是否显示页签
function Lua_HeroTabVo.Get:showTabState()
    if self._showTabState == nil then
        return false;
    end

    return self._showTabState;
end

function Lua_HeroTabVo.Set:showTabState(val)
    self._showTabState = val;
end

-- 页签红点
function Lua_HeroTabVo.Get:showRedDotState()
    if self._showRedDotState == nil then
        return false;
    end

    return self._showRedDotState;
end

function Lua_HeroTabVo.Set:showRedDotState(val)
    self._showRedDotState = val;
end

-- 页签是否置灰
function Lua_HeroTabVo.Get:showGrayState()
    if self._showGrayState == nil then
        return false;
    end
    return self._showGrayState;
end

function Lua_HeroTabVo.Set:showGrayState(val)
    self._showGrayState = val;
end

--描述提示
function Lua_HeroTabVo.Get:showTipsDes()
    if self._showTipsDes == nil or self._showTipsDes == "" then
        return self.show_tips;
    end
    return self._showTipsDes;
end

function Lua_HeroTabVo.Set:showTipsDes(val)
    self._showTipsDes = val;
end











---------------------------------- 配置数据 -------------------------------------------

function Lua_HeroTabVo.Get:panel()
    return self.config.panel;
end

--页签UI
function Lua_HeroTabVo.Get:nameSp()
    return self.config.nameSp;
end

--是否展示在图鉴页签
function Lua_HeroTabVo.Get:isShowAtlas()
    return self.config.isShowAtlas;
end

-- 功能是否屏蔽  0 开启, 1屏蔽
function Lua_HeroTabVo.Get:tab_shield()
    if self.config.tab_shield == nil then
        return 0;
    end
    return self.config.tab_shield;
end

-- 是否直接展示页签 1 直接展示无需条件, 0 需要条件
function Lua_HeroTabVo.Get:tab_show()
    if self.config.tab_show == nil then
        return 0;
    end
    return self.config.tab_show;
end

-- 页签是否预告 
-- 1：需要预告（不满足开启条件：页签提前展示并置灰，点击页签有提示）
-- 0：不需要预告（不满足开启条件：页签隐藏）
function Lua_HeroTabVo.Get:tab_advance()
    if self.config.tab_advance == nil then
        return 0;
    end
    return self.config.tab_advance;
end

--页签开启条件（星级限制）
function Lua_HeroTabVo.Get:condition1()
    if self.config.condition1 == nil then
        return 0;
    end
    return self.config.condition1;
end

--页签开启条件（等级限制）
function Lua_HeroTabVo.Get:condition2()
    if self.config.condition2 == nil then
        return 0;
    end
    return self.config.condition2;
end

--功能开启提示
function Lua_HeroTabVo.Get:show_tips()
    if self.config.show_tips == nil then
        return "";
    end
    return self.config.show_tips;
end

--排序
function Lua_HeroTabVo.Get:sort()
    return self.config.sort;
end