--星魂基础属性 配置数据
Lua_JewelryBasePropCofingData = class("Lua_JewelryBasePropCofingData");
function Lua_JewelryBasePropCofingData.getBasePropConfig(id)
    if Lua_JewelryBasePropCofingData.basePropConfigDic == nil then
        Lua_JewelryBasePropCofingData.basePropConfigDic = {};
    end

    id = tonumber(id);
    if Lua_JewelryBasePropCofingData.basePropConfigDic[id] == nil then
        Lua_JewelryBasePropCofingData.basePropConfigDic[id] = Lua_JewelryBasePropCofingData.new(id);
    end
    return Lua_JewelryBasePropCofingData.basePropConfigDic[id];
end

function Lua_JewelryBasePropCofingData:ctor(id)
    self:superCall("ctor");
    self.id = id;
    self.config = getConfig({"jewelry_constant_prop",id});
end

-- 属性名
function Lua_JewelryBasePropCofingData.Get:name()
    return self.config.name;
end

-- 属性值
function Lua_JewelryBasePropCofingData.Get:value() 
    return self.config.value;
end

-- 战力
function Lua_JewelryBasePropCofingData.Get:baseForce()
    if self.name == nil then
        return 0;
    end
    local list = {};
    list[self.name] = self.value;
    return Lua_FightUtil.caculateForce(list);
end

