-- 英雄星魂随机属性区间配置
Lua_JewelryRandomConfigData = class("Lua_JewelryRandomConfigData");
function Lua_JewelryRandomConfigData.getJewelryRandomConfig(id)
	if Lua_JewelryRandomConfigData.getJewelryRandomConfigDic == nil then
		Lua_JewelryRandomConfigData.getJewelryRandomConfigDic = {};
	end

	id = tostring(id);
	if Lua_JewelryRandomConfigData.getJewelryRandomConfigDic[id] == nil then
		local cfg = getConfig( { "jewelry_random_prop", id });
	    if cfg == nil then
	    	LogManager.LogError("no jewelry_random_prop-星魂随机属性表 = " .. id, false);
	    	return nil;
	    end
		Lua_JewelryRandomConfigData.getJewelryRandomConfigDic[id] = Lua_JewelryRandomConfigData.new(id,cfg);
	end
	return Lua_JewelryRandomConfigData.getJewelryRandomConfigDic[id];
end

function Lua_JewelryRandomConfigData:ctor(id,config)
	self:superCall("ctor");
    self.id = tostring(id);
    self.config = config;
    if self.config == nil then
	   self.config = getConfig({"jewelry_random_prop", id});
    end
end

-- 绿色数值区间
function Lua_JewelryRandomConfigData.Get:green_value()
    return self.config.green_value;
end

-- 蓝色数值区间
function Lua_JewelryRandomConfigData.Get:blue_value()
    return self.config.blue_value;
end

-- 蓝色数值区间
function Lua_JewelryRandomConfigData.Get:purple_value()
    return self.config.purple_value;
end

-- 橙色数值区间
function Lua_JewelryRandomConfigData.Get:orange_value()
    return self.config.orange_value;
end

-- 总区间
function Lua_JewelryRandomConfigData.Get:all_value()
    return self.config.all_value;
end

-- 排序
function Lua_JewelryRandomConfigData.Get:sort()
    return self.config.sort;
end

-- 属性vo
function Lua_JewelryRandomConfigData.Get:propVo()
    return DataCenter.attributesUtil:createAttrVo(self.id);
end