--重铸消耗表 配置数据
checkRequire("Lua_CelebrityCostMaterialsVo");
Lua_JewelryRecastCostCofingData = class("Lua_JewelryRecastCostCofingData");
function Lua_JewelryRecastCostCofingData.getRecastCostConfig(id)
    if Lua_JewelryRecastCostCofingData.recastCostConfigDic == nil then
        Lua_JewelryRecastCostCofingData.recastCostConfigDic = {};
    end

    id = tonumber(id);
    if Lua_JewelryRecastCostCofingData.recastCostConfigDic[id] == nil then
        Lua_JewelryRecastCostCofingData.recastCostConfigDic[id] = Lua_JewelryRecastCostCofingData.new(id);
    end
    return Lua_JewelryRecastCostCofingData.recastCostConfigDic[id];
end

function Lua_JewelryRecastCostCofingData:ctor(id)
    self:superCall("ctor");
    self.id = id;
    self.config = getConfig({"jewelry_update_cost",id});
end

-- 重铸消耗道具
function Lua_JewelryRecastCostCofingData.Get:resource()
    return self.config.resource;
end

-- 重铸上锁消耗
function Lua_JewelryRecastCostCofingData.Get:lock_cost() 
    return self.config.lock_cost;
end

-- 重铸消耗 数据
function Lua_JewelryRecastCostCofingData.Get:recastCostCostInfo()
    if self._recastCostCostInfo == nil then
        self._recastCostCostInfo = Array();
        local cost_list = self.resource;
        if cost_list ~= nil then
            for i=1,#cost_list do
                local upgradeCostVo = Lua_CelebrityCostMaterialsVo.new(cost_list[i][1]);
                upgradeCostVo.needNum = cost_list[i][2];
                self._recastCostCostInfo:add(upgradeCostVo);
            end
        end
    end
    return self._recastCostCostInfo;
end


-- 重铸上锁 数据
function Lua_JewelryRecastCostCofingData.Get:lockCostCostInfo()
    if self._lockCostCostInfo == nil then
        self._lockCostCostInfo = {};
        local cost_list = self.lock_cost;
        if cost_list ~= nil then
            for i=1,#cost_list do
                local upgradeCostVo = Lua_CelebrityCostMaterialsVo.new(cost_list[i][1]);
                upgradeCostVo.needNum = cost_list[i][2];
                self._lockCostCostInfo[i] = upgradeCostVo;
            end
        end
    end
    return self._lockCostCostInfo;
end