-- 光环类型 vo
Lua_HeroAureoleTypeVo = class("Lua_HeroAureoleTypeVo")
function Lua_HeroAureoleTypeVo:ctor(id,config)
    self.id = id;
    self.config = config;
end

function Lua_HeroAureoleTypeVo.Get:camp_type() -- 类型
    return self.config.camp_type;
end

function Lua_HeroAureoleTypeVo.Get:sort()
    return self.config.sort;
end

function Lua_HeroAureoleTypeVo.Get:name() -- 光环名
    return self.config.name;
end

-- 激活数量最低限制
function Lua_HeroAureoleTypeVo.Get:activate_limit()
    return self.config.activate_limit;
end

-- 是否激活光环
function Lua_HeroAureoleTypeVo.Get:isActivate()
    return self.activateNum >= self.activate_limit;
end

--当前类型 激活数量
function Lua_HeroAureoleTypeVo.Get:activateNum()
    if self._activateNum == nil then
        return 0;
    end
    return self._activateNum;
end

function Lua_HeroAureoleTypeVo.Set:activateNum(val)
    self._activateNum = val;
end


function Lua_HeroAureoleTypeVo.Get:icon_id() -- 阵法图标
	local id = self.camp_type*100000;
	if self.camp_type == 7 then
		id = 999999;
	end
    return id;
end