Lua_InfinityHallUtil = class("Lua_InfinityHallUtil");
function Lua_InfinityHallUtil:ctor()
	self:superCall("ctor");
end

function Lua_InfinityHallUtil:getConstConfig(key, valType, defaultVal)
	local config = getConfig("infinity_hall_const", key);
	if config ~= nil then
		if valType == 1 then
			return config.value;
		elseif valType == 2 then
			return config.float_value;
		elseif valType == 3 then
			return config.strvalue;
		elseif valType == 4 then
			return config.jsonvalue;
		end
	end
	return defaultVal;
end

function Lua_InfinityHallUtil:getLayerConfig(id)
	return getConfig("infinity_hall_floor", id);
end

function Lua_InfinityHallUtil.Get:dailyLimit()
	return getConfig("infinity_hall_const", "daily_limit", "value") or 999
end