--神陵秘境 事件Data
Lua_JokerEventData = class("Lua_JokerEventData");

function Lua_JokerEventData:ctor()
	self:dispose();
end

function Lua_JokerEventData:dispose()
	self.guessCostSelect = nil;--猜拳投注索引
	self.guessFistSelect = nil;--猜拳出招索引
end

function Lua_JokerEventData:formServer50164011(msg)--请求点击事件（返回）
	self.eventType = msg.event_type;
	print("请求点击事件（返回） = =",self.eventType)
	if self.eventType == 1 then
		self:updateGuessInfo(msg);
	elseif self.eventType == 2 then
		self:updateAnswerInfo(msg);
	elseif self.eventType == 3 then
		self:updateSafeInfo(msg);
	elseif self.eventType == 4 then
		self:updateFansEventInfo(msg);
	elseif self.eventType == 5 then
		self:updateSponsorShopInfo(msg);
	end
end

function Lua_JokerEventData:formServer50164013(msg)--请求选择猜拳（返回）
	self.pcType = msg.pc_type;--电脑猜拳结果
	self.playerType = msg.player_type;--玩家选择结果
	self.guessResult = msg.result;--1：胜，2：负，3：平
	self.guessReward = Lua_ToolVo.createToolVo(tonumber(msg.reward.id), tonumber(msg.reward.amount));
end

function Lua_JokerEventData:formServer50164014(msg)--请求回答主持问答题目（返回）
	self:updateAnswerInfo(msg);
end

function Lua_JokerEventData:formServer50164015(msg)--请求打开保险柜（返回）
print("请求打开保险柜（返回）")
	self.boxKey = Lua_ToolVo.createToolVo(tonumber(msg.key.id), tonumber(msg.key.amount));

	self.boxRewardArr = Array();
	for k, v in ipairs(msg.reward) do 
		local vo = Lua_ToolVo.createToolVo(tonumber(v.id), tonumber(v.amount));
		self.boxRewardArr:add(vo);
	end
end

function Lua_JokerEventData:formServer50164016(msg)--请求选择粉丝事件选项（返回）
	for k, v in ipairs(msg.reward) do 
		local vo = Lua_ToolVo.createToolVo(tonumber(v.id), tonumber(v.amount));
		OperateAlert.show(LanUtil.formateStr(201826, tostring(vo.colorName), tostring(vo.count)));
	end
end

function Lua_JokerEventData:formServer50164017(msg)--请求购买赞助商店商品（返回）
	self:updateSponsorShopInfo(msg);
end






function Lua_JokerEventData:updateGuessInfo(msg)--1：猜拳互动
	self.guessIndex = msg.bet_index;--0：没有下注，非0表示已经下注的索引(弃用)
	
	self.guessFistSelect = nil;--猜拳出招索引
end

function Lua_JokerEventData:updateAnswerInfo(msg)--2：主持问答
	self.curTitle = msg.cur_title;
	self.totalTitle = msg.total_title;
	self.curQuestionId = msg.cur_question;
	self.curRightNum = msg.cur_right_num;

	self.curRewardArr = Array();
	for k, v in ipairs(msg.cur_reward) do 
		local vo = Lua_ToolVo.createToolVo(tonumber(v.id), tonumber(v.amount));
		self.curRewardArr:add(vo);
	end

	self.totalRewardArr = Array();
	for k, v in ipairs(msg.total_reward) do 
		local vo = Lua_ToolVo.createToolVo(tonumber(v.id), tonumber(v.amount));
		self.totalRewardArr:add(vo);
	end
end

function Lua_JokerEventData:updateSafeInfo(msg)--3：保险柜
	self.boxKey = Lua_ToolVo.createToolVo(tonumber(msg.cur_key.id), tonumber(msg.cur_key.amount));
end

function Lua_JokerEventData:updateFansEventInfo(msg)--4：粉丝事件
	self.fansEventId = msg.fan_event_id;
end

function Lua_JokerEventData:updateSponsorShopInfo(msg)--5：赞助商店
	self.sponsorShopItemArr = Array();
	for k, v in ipairs(msg.shop_list) do
		local vo = Lua_JokerDeulShopVo.new(v.id);
		vo:fromServer(v);
		self.sponsorShopItemArr:add(vo);
	end
	self.sponsorShopItemArr:sort("index", true)
end