--神陵秘境Proxy
checkRequire("Lua_JokerDeulUtil");
checkRequire("Lua_JokerDuelData");
checkRequire("Lua_JokerEventData");
Lua_JokerDuelProxy = class("Lua_JokerDuelProxy");

function Lua_JokerDuelProxy:ctor()
	DataCenter.jokerDuelUtil = Lua_JokerDeulUtil.new();
	DataCenter.jokerDuelData = Lua_JokerDuelData.new();	
	DataCenter.jokerEventData = Lua_JokerEventData.new();	

	--主界面
	Lua_MsgUtil.addLuaMsg(50164001, self, self.rSelectTeam); --请求挑战神陵秘境副本（返回）
	Lua_MsgUtil.addLuaMsg(50164002, self, self.rJokerDuelInfo); --请求神陵秘境界面（返回）
	Lua_MsgUtil.addLuaMsg(50164019, self, self.rJokerNextLevel); --请求进入下一关（返回）

	--界面功能
	Lua_MsgUtil.addLuaMsg(50164003, self, self.rJokerRnakInfo); --请求神陵秘境排行信息（返回）
	Lua_MsgUtil.addLuaMsg(50164004, self, self.rJokerGetRward); --请求领取任务目标奖励（返回）
	Lua_MsgUtil.addLuaMsg(50164005, self, self.rJokerUseDrinks); --请求使用体能饮料（返回）
	Lua_MsgUtil.addLuaMsg(50164006, self, self.rJokerUsePass); --请求使用通行证（返回）
	Lua_MsgUtil.addLuaMsg(50164021, self, self.rJokerBuyGoods); --请求购买体能饮料/通行证（返回）
	Lua_MsgUtil.addLuaMsg(50164007, self, self.rJokerContactInfo); --请求使用联系赞助（返回）
	Lua_MsgUtil.addLuaMsg(50164008, self, self.rJokerBuyContactGoods); --请求购买联系赞助的商品（返回）
	Lua_MsgUtil.addLuaMsg(50164009, self, self.rJokerOpenShopInfo); --请求打开王牌商店（返回）
	Lua_MsgUtil.addLuaMsg(50164018, self, self.rJokerBuyShopItem); --请求购买王牌商店商品（返回）

	--格子触发事件
	Lua_MsgUtil.addLuaMsg(50164011, self, self.rJokerClickEvent); --请求点击事件（返回)
	Lua_MsgUtil.addLuaMsg(50164013, self, self.rJokerGuessFist);--请求选择猜拳（返回）
	Lua_MsgUtil.addLuaMsg(50164014, self, self.rJokerAnswerQuestion); --请求回答主持问答题目（返回）
	Lua_MsgUtil.addLuaMsg(50164015, self, self.rJokerOpenSafe); --请求打开保险柜（返回）
	Lua_MsgUtil.addLuaMsg(50164016, self, self.rJokerFansSelect); --请求选择粉丝事件选项（返回）
	Lua_MsgUtil.addLuaMsg(50164017, self, self.rJokerBuySponsorItem); --请求购买赞助商店商品（返回)

	Lua_MsgUtil.addEventListener("JUDGE_JOKERDUEL_STATE", self, self.judgeOpenWin);--打开判断是否需要布阵
end

function Lua_JokerDuelProxy:judgeOpenWin()--打开判断是否需要布阵
	DataCenter.jokerDuelData.isOpenWin = true;
	self:sJokerDuelInfo();
end






------------------------------------ 上行 ------------------------------------

function Lua_JokerDuelProxy:sSelectTeam(list)--请求挑战神陵秘境副本
	local cmd = ProtoPublic_pb.Proto10164001();
	for k, v in ipairs(list) do
		if v ~= 0 then
			local struct = getProtoMsg("ProtoPairLong");
			struct.key = k;
			struct.value = v;
			cmd.camp:addToList(struct);
		end
	end
	sendMsg(10164001, cmd);
end

function Lua_JokerDuelProxy:sJokerDuelInfo()--请求神陵秘境界面
	sendMsg(10164002);
end

function Lua_JokerDuelProxy:sJokerPickStar(template_id, stage_id, grid_index, camp_index, is_jump)
    local msg = ProtoPublic_pb.Proto10102001();
    msg.template_id = template_id; -- 战斗模板配置id
    msg.stage_id =  stage_id; -- 关卡id
    msg.grid_index = grid_index;-- 格子索引（神陵密境）
    msg.camp_index = camp_index;-- 上场英雄索引（神陵密境）
    msg.is_jump = is_jump;-- 是否跳过并连续挑战（1：是，0：否）（神陵密境）
    sendMsg(10102001, msg);
end

function Lua_JokerDuelProxy:sJokerNextLevel()--请求进入下一关
	sendMsg(10164019);
end

function Lua_JokerDuelProxy:sJokerOneKeySweep()--请求一键横扫
	sendMsg(10164020);
end






function Lua_JokerDuelProxy:sJokerRnakInfo()--请求神陵秘境排行信息
	sendMsg(10164003);
end

function Lua_JokerDuelProxy:sJokerGetRward(index)--请求领取任务目标奖励
	local cmd = ProtoPublic_pb.Proto10164004();
	cmd.index = index;
	sendMsg(10164004, cmd);
end

function Lua_JokerDuelProxy:sJokerUseDrinks(index)--请求使用体能饮料
	local cmd = ProtoPublic_pb.Proto10164005();
	cmd.index = index;
	sendMsg(10164005, cmd);
end

function Lua_JokerDuelProxy:sJokerUsePass(index)--请求使用通行证
	local cmd = ProtoPublic_pb.Proto10164006();
	cmd.index = index;
	sendMsg(10164006, cmd);
end

function Lua_JokerDuelProxy:sJokerBuyGoods(types, amount)--请求购买体能饮料/通行证
	local cmd = ProtoPublic_pb.Proto10164021();
	cmd.type = types;
	cmd.amount = amount;
	sendMsg(10164021, cmd);
end

function Lua_JokerDuelProxy:sJokerContactInfo()--请求使用联系赞助
	sendMsg(10164007);
end

function Lua_JokerDuelProxy:sJokerBuyContactGoods(index, amount)--请求购买联系赞助的商品 
	local cmd = ProtoPublic_pb.Proto10164008();
	cmd.index = index;
	cmd.amount = amount;
	sendMsg(10164008, cmd);
end

function Lua_JokerDuelProxy:sJokerOpenShopInfo()--请求打开王牌商店
	sendMsg(10164009);
end

function Lua_JokerDuelProxy:sJokerBuyShopItem(index, amount)--请求购买王牌商店商品
	local cmd = ProtoPublic_pb.Proto10164018();
	cmd.index = index;
	cmd.amount = amount;
	sendMsg(10164018, cmd);
end






function Lua_JokerDuelProxy:sJokerClickEvent(index)--请求点击事件
	local cmd = ProtoPublic_pb.Proto10164011();
	cmd.index = index;
	sendMsg(10164011, cmd);
end

function Lua_JokerDuelProxy:sJokerGuessCostType(index)--请求猜拳下注
	local cmd = ProtoPublic_pb.Proto10164012();
	cmd.index = index;
	sendMsg(10164012, cmd);
end

function Lua_JokerDuelProxy:sJokerGuessFist(types, grid_index)--请求选择猜拳
	local cmd = ProtoPublic_pb.Proto10164013();
	cmd.type = types;--1：剪刀，2：石头，3：布
	cmd.grid_index = grid_index;
	sendMsg(10164013, cmd);
end

function Lua_JokerDuelProxy:sJokerAnswerQuestion(index, grid_index)--请求回答主持问答题目
	local cmd = ProtoPublic_pb.Proto10164014();
	cmd.index = index;--1,2,3,4对应ABCD
	cmd.grid_index = grid_index;
	sendMsg(10164014, cmd);
end

function Lua_JokerDuelProxy:sJokerOpenSafe(grid_index)--请求打开保险柜
	local cmd = ProtoPublic_pb.Proto10164015();
	cmd.grid_index = grid_index;
	sendMsg(10164015, cmd);
end

function Lua_JokerDuelProxy:sJokerFansSelect(grid_index)--请求选择粉丝事件选项
	local cmd = ProtoPublic_pb.Proto10164016();
	cmd.grid_index = grid_index;
	sendMsg(10164016, cmd);
end

function Lua_JokerDuelProxy:sJokerBuySponsorItem(index, amount, grid_index)--请求购买赞助商店商品
	local cmd = ProtoPublic_pb.Proto10164017();
	cmd.index = index;
	cmd.amount = amount;
	cmd.grid_index = grid_index;
	sendMsg(10164017, cmd);
end










------------------------------------ 下行 ------------------------------------

function Lua_JokerDuelProxy:rSelectTeam(mp)--请求挑战神陵秘境副本（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164001();
		msg:ParseFromString(mp.data);
		DataCenter.jokerDuelData:formServer50164001(msg);
	end
end

function Lua_JokerDuelProxy:rJokerDuelInfo(mp)--请求神陵秘境界面（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164002();
		msg:ParseFromString(mp.data);
		if DataCenter.bConfigLoaded ~= true then
			return;
		end
		DataCenter.jokerDuelData:formServer50164002(msg);
	end
end

function Lua_JokerDuelProxy:rJokerNextLevel(mp)--请求进入下一关（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164019();
		msg:ParseFromString(mp.data);
		DataCenter.jokerDuelData:updatePassRewardInfo(msg);
	end
end






function Lua_JokerDuelProxy:rJokerRnakInfo(mp)--请求神陵秘境排行信息（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164003();
		msg:ParseFromString(mp.data);
		DataCenter.jokerDuelData:updateRankInfo(msg);
		Lua_MsgUtil.callFunc("UPDATE_JOKER_RANKINFO");
	end
end

function Lua_JokerDuelProxy:rJokerGetRward(mp)--请求领取任务目标奖励（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164004();
		msg:ParseFromString(mp.data);
		DataCenter.jokerDuelData:updateTaskInfo(msg);
		Lua_MsgUtil.callFunc("UPDATE_JOKER_TASKINFO");
	end
end

function Lua_JokerDuelProxy:rJokerUseDrinks(mp)--请求使用体能饮料（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164005();
		msg:ParseFromString(mp.data);
		DataCenter.jokerDuelData:updateCampInfo(msg);--更新阵容信息
		DataCenter.jokerDuelData:updateItemInfo(msg);--更新道具信息
		Lua_MsgUtil.callFunc("JOKER_USE_DRINK");
	end
end

function Lua_JokerDuelProxy:rJokerUsePass(mp)--请求使用通行证（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164006();
		msg:ParseFromString(mp.data);
		DataCenter.jokerDuelData:updateItemInfo(msg);
		Lua_MsgUtil.callFunc("UPDATE_JOKER_ITEMINFO");
	end
end

function Lua_JokerDuelProxy:rJokerBuyGoods(mp)--请求购买体能饮料/通行证（返回）
	if mp.errno == 0 then
		DataCenter.jokerDuelData:formServer50164021();
	end
end

function Lua_JokerDuelProxy:rJokerContactInfo(mp)--请求使用联系赞助（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164007();
		msg:ParseFromString(mp.data);
		DataCenter.jokerDuelData:updateContactShopInfo(msg);--联系赞助商店信息
		DataCenter.jokerDuelData:updateItemInfo(msg);--更新道具信息
		Lua_MsgUtil.callFunc("UPDATE_JOKER_CONTACTSHOP");
	end
end

function Lua_JokerDuelProxy:rJokerBuyContactGoods(mp)--请求购买联系赞助的商品（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164008();
		msg:ParseFromString(mp.data);
		DataCenter.jokerDuelData:updateContactShopInfo(msg);
		Lua_MsgUtil.callFunc("UPDATE_JOKER_CONTACTSHOP");
	end
end

function Lua_JokerDuelProxy:rJokerOpenShopInfo(mp)--请求打开王牌商店（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164009();
		msg:ParseFromString(mp.data);
		DataCenter.jokerDuelData:updateAceShopInfo(msg);
		Lua_MsgUtil.callFunc("UPDATE_JOKER_SHOP");
	end
end

function Lua_JokerDuelProxy:rJokerBuyShopItem(mp)--请求购买王牌商店商品（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164018();
		msg:ParseFromString(mp.data);
		DataCenter.jokerDuelData:updateAceShopInfo(msg);
		Lua_MsgUtil.callFunc("UPDATE_JOKER_SHOP");
	end
end






function Lua_JokerDuelProxy:rJokerClickEvent(mp)--请求点击事件（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164011();
		msg:ParseFromString(mp.data);
		DataCenter.jokerEventData:formServer50164011(msg);
		Lua_MsgUtil.callFunc("UPDATE_JOKER_CELLCLIEK");
	end
end

function Lua_JokerDuelProxy:rJokerGuessFist(mp)--请求选择猜拳（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164013();
		msg:ParseFromString(mp.data);
		DataCenter.jokerEventData:formServer50164013(msg);
		Lua_MsgUtil.callFunc("UPDATE_JOKER_GUESS");
	end
end

function Lua_JokerDuelProxy:rJokerAnswerQuestion(mp)--请求回答主持问答题目（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164014();
		msg:ParseFromString(mp.data);
		DataCenter.jokerEventData:formServer50164014(msg);
		Lua_MsgUtil.callFunc("UPDATE_JOKER_ANSWER");
	end
end

function Lua_JokerDuelProxy:rJokerOpenSafe(mp)--请求打开保险柜（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164015();
		msg:ParseFromString(mp.data);
		DataCenter.jokerEventData:formServer50164015(msg);
		Lua_MsgUtil.callFunc("UPDATE_JOKEREVENT_SAFEOPEN");
	end
end

function Lua_JokerDuelProxy:rJokerFansSelect(mp)--请求选择粉丝事件选项（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164016();
		msg:ParseFromString(mp.data);
		DataCenter.jokerEventData:formServer50164016(msg);
	end
end

function Lua_JokerDuelProxy:rJokerBuySponsorItem(mp)--请求购买赞助商店商品（返回）
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50164017();
		msg:ParseFromString(mp.data);
		DataCenter.jokerEventData:formServer50164017(msg);
		Lua_MsgUtil.callFunc("UPDATE_JOKER_SPONSORBUY");
	end
end