--神陵秘境 格子Vo
Lua_JokerDeulCellVo = class("Lua_JokerDeulCellVo");

function Lua_JokerDeulCellVo:ctor()
	self:superCall("ctor");
end

function Lua_JokerDeulCellVo:fromServer(msg)
	self.index = msg.index;--格子顶点
	self.eventType = msg.event_type;--事件类型： 1：猜拳互动 2：主持问答 3：保险柜 4：粉丝事件 5：赞助商店 6：钥匙 7：粉丝祝福 8：道具 9：迷雾 10：怪物 11：转椅
	self.eventId = msg.event_id;--迷雾、怪物为0，事件为事件id

	if self.eventType == 6 or self.eventType == 8 then
		for k, v in ipairs(msg.item) do
			self.itemVo = Lua_ToolVo.createToolVo(tonumber(v.id), tonumber(v.amount));
		end
	elseif self.eventType == 7 then
		for k, v in ipairs(msg.prop) do
			self.propVo = Lua_AttributesVo.new(v.name);
			self.propVo.value = v.value;
		end
	elseif self.eventType == 10 then
		self.monsterVo = Lua_ToolVo.createToolVo(tonumber(msg.monster.hero_id));
		self.monsterVo:fromServer(msg.monster);
		self.monsterVo.index = self.index;
		self.monsterVo.isLeader = msg.monster.is_leader;--明星怪物是否队长（神陵秘境用，1：是 0：否）
		self.monsterVo.isDefeat = msg.monster.is_defeat;--明星怪物是否已经战胜（神陵秘境用，1：是，0：否）
		self.monsterVo.curEnergy = msg.monster.cur_energy;--当前能量
	end

	if self.monsterVo ~= nil then
		if self.eventType ~= 10 then
			self.monsterVo = nil;
		end
		DataCenter.jokerDuelData.monsterInfo[self.index] = self.monsterVo;
	end
end