--神陵秘境 目标奖励Vo
Lua_JokerDeulRewardVo = class("Lua_JokerDeulRewardVo");

function Lua_JokerDeulRewardVo:ctor(id)
	self:superCall("ctor");
	self.config = getConfig({"tomb_room_task_reward", tonumber(id)});
end

function Lua_JokerDeulRewardVo:fromServer(msg)
	self.index = tonumber(msg.key);--奖励索引
	self.value = tonumber(msg.value);--条件值
	self.state = tonumber(msg.sub);--状态 0不可 1可 2已
end

function Lua_JokerDeulRewardVo.Get:times()
	return self.config.times;
end

function Lua_JokerDeulRewardVo.Get:reward()
	if self._rewardArr == nil then
		self._rewardArr = Array();
		for k, v in ipairs(self.config.reward) do
			local vo = Lua_ToolVo.createToolVo(tonumber(v[1]), tonumber(v[2]));
			self._rewardArr:add(vo);
		end
	end
	return self._rewardArr;
end

function Lua_JokerDeulRewardVo.Get:sortRank()
	local rank = 0;
	if self.state == 0 then
		rank = self.value;
	elseif self.state == 1 then
		rank = self.value - 100;
	elseif self.state == 2 then
		rank = self.value + 100;
	end
	return rank;
end