checkRequire("Lua_OnlineRewardUtil");
checkRequire("Lua_OnlineRewardData");
Lua_OnlineRewardProxy = class("Lua_OnlineRewardProxy");
function Lua_OnlineRewardProxy:ctor()
	DataCenter.onlineRewardData = Lua_OnlineRewardData.new();
	DataCenter.onlineRewardUtil = Lua_OnlineRewardUtil.new();

	Lua_MsgUtil.addLuaMsg(50126003, self, self.rOnlineReward);
end

-- 在线奖励界面（返回）
function Lua_OnlineRewardProxy:rOnlineReward(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50126003();
		msg:ParseFromString(mp.data);
		DataCenter.onlineRewardData:fromServer50126003(msg);
		Lua_MsgUtil.callFunc("UPDATA_ONLINE_REWARD");

		local vo = DataCenter.onlineRewardData.timeVo;
		if vo == nil then
			Lua_CommonUtil.removeTimer(self, self.sOnlineInfo);
		else
			if vo.remainTime > 0 then
				Lua_CommonUtil.delayCall(vo.remainTime, self, self.sOnlineInfo);
			else
				Lua_CommonUtil.removeTimer(self, self.sOnlineInfo);
			end
		end
	end
end

-- 在线奖励界面
function Lua_OnlineRewardProxy:sOnlineInfo()
	sendMsg(10126003);
end

-- 在线奖励领取
function Lua_OnlineRewardProxy:sReceive(id)
	local cmd = ProtoPublic_pb.Proto10126004();
	cmd.id = id;
	sendMsg(10126004, cmd);
end