Lua_OpenServerHeroComeTaskVo = class("Lua_OpenServerHeroComeTaskVo")
function Lua_OpenServerHeroComeTaskVo:ctor(id)
	self.id = id;
	self.config = getConfig("hero_fall", id);
	if self.config ~= nil then
		self.taskConfig = getConfig("total_task", self.config.condition_id);
	end
end

function Lua_OpenServerHeroComeTaskVo:fromServer(state, process)
	self.state = state;--0未达成,1可领取,2已领取
	self.curProcess = process == 0 and 0 or getConfig("mainline_game_level", process, "number"); --当前进度
end

-------------------配置表-------------------

function Lua_OpenServerHeroComeTaskVo.Get:showReward()
	if self.config == nil then
		return nil;
	end
	return self.config.showReward[1];
end

function Lua_OpenServerHeroComeTaskVo.Get:desc()
	if self.config == nil then
		return nil;
	end
	return self.config.desc;
end

function Lua_OpenServerHeroComeTaskVo.Get:eventId()
	if self.taskConfig == nil then
		return nil;
	end
	return self.taskConfig.eventId;
end