--英雄装备
checkRequire("Lua_EquipVo");--装备
Lua_QuestionData = class("Lua_QuestionData")
function Lua_QuestionData:ctor()
	self:superCall("ctor");
	self:dispose();
end

function Lua_QuestionData:dispose()
    self.version_id = 1;
    self.close_tick = 0;
end


function Lua_QuestionData:formServer50206002(msg)
    if msg == nil then
        return;
    end
    self.version_id = msg.version_id;--问卷版本id
    
    self.close_tick = tonumber(msg.close_tick);--活动结束时间戳
    
    local list = msg.question_list;
    -- print(#list,"  问卷版本id = =",self.version_id)
    for i=1,#list do
        local index_list = list[i].option;
        local words = list[i].words;
        if words == "" then
            words = nil;
        end
        for j=1,#index_list do
            -- print(list[i].id,"    ",index_list[j],"       ",words)
            DataCenter.questionUtil:addClientQuestion(list[i].id,index_list[j], words)
        end
    end

    self:checkQuestionRedDotState()
end

function Lua_QuestionData.Get:residueTime()
    return self.close_tick - DataCenter.roleData.serverTime;
end
















---------------------------------- 红点 -------------------------------------------
-- 检测红点
function Lua_QuestionData:checkQuestionRedDotState()
    local cfgData = DataCenter.questionUtil:getQuestionVersionCfgData(self.version_id);
    if cfgData ~= nil then
        local redDotState = DataCenter.roleData.level >= cfgData.open_lvl;
        -- print("redDotState  = ",redDotState)
        DataCenter.redPointData:updateRedPointState(Lua_RedPointList.Question, redDotState);
    end
end



