--装备消息类
checkRequire("Lua_QuestionUtil");
checkRequire("Lua_QuestionData");
Lua_QuestionProxy = class("Lua_QuestionProxy");
function Lua_QuestionProxy:ctor()
	DataCenter.questionUtil = Lua_QuestionUtil.new();
	DataCenter.questionData = Lua_QuestionData.new();

    Lua_MsgUtil.addLuaMsg(50206002, self, self.rQuestion);  -- 请求问卷调查界面信息(返回)
    Lua_MsgUtil.addEventListener("UPDATE_ROLE_LEVEL", self, self.onRoleLevelChange);
end



----------------------------------------------------------------------------------------------------------------------------
-- 上行消息号

-- 请求问卷调查界面信息
function Lua_QuestionProxy:sQuestion()
    sendMsg(10206002);
end


-- 请求提交问卷调查信息
function Lua_QuestionProxy:sSubmitQuestionCondition()
    local cmd = ProtoPublic_pb.Proto10206001();
    local list = DataCenter.questionUtil.triggerDic;
    if list ~= nil then
        for id, bool in pairs(list) do
            if bool then
                local indexArr = DataCenter.questionUtil:getSelectQuestionArr(id);
                local words = DataCenter.questionUtil:getWordsQuestion(id);
                if indexArr ~= nil or words ~= nil then
                    local struct = getProtoMsg("ProtoQuestionReward");
                    struct.id = tonumber(id); -- 题号
                    if indexArr ~= nil then
                        for i = 1,indexArr:getSize() do
                            struct.option:append(indexArr[i]);
                            local words = DataCenter.questionUtil:getWordsQuestion(id, indexArr[i]);
                            struct.words = words == nil and "" or words;-- 填空
                            -- print(id,"= =  选择题号  = =",indexArr[i],"            ",words)
                        end
                    else
                        struct.words = words == nil and "" or words;-- 填空
                        -- print(id,"= =  填空题号  = =",words)
                    end
                    cmd.question_info:addToList(struct);
                end
            end
        end
    end
    sendMsg(10206001, cmd);
end

-- 请求保存问卷调查信息
function Lua_QuestionProxy:sSaveQuestionCondition(cur_page)
    local cmd = ProtoPublic_pb.Proto10206003();
    local cmd = ProtoPublic_pb.Proto10206003();
    local arr = DataCenter.questionUtil:getQuestionArrByPage(cur_page);
    local len = arr:getSize();
    local id;
    for i=1,len do
        id = arr[i]
        local indexArr = DataCenter.questionUtil:getSelectQuestionArr(id);
        local words = DataCenter.questionUtil:getWordsQuestion(id);
        if indexArr ~= nil or words ~= nil then
            local struct = getProtoMsg("ProtoQuestionReward");
            struct.id = tonumber(id); -- 题号
            if indexArr ~= nil then
                for i = 1,indexArr:getSize() do
                    struct.option:append(indexArr[i]);
                    local words = DataCenter.questionUtil:getWordsQuestion(id, indexArr[i]);
                    struct.words = words == nil and "" or words;-- 填空
                    -- print(id,"= =  选择题号  = =",indexArr[i],"            ",words)
                end
            else
                struct.words = words == nil and "" or words;-- 填空
                -- print(id,"= =  填空题号  = =",words)
            end
            cmd.question_list:addToList(struct);
        end
    end

    sendMsg(10206003, cmd);
end









----------------------------------------------------------------------------------------------------------------------------
-- 下行消息号

-- 请求问卷调查界面信息(返回)
function Lua_QuestionProxy:rQuestion(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50206002();
        msg:ParseFromString(mp.data);
        DataCenter.questionData:formServer50206002(msg);
        Lua_MsgUtil.callFunc("UPDATE_QUESTION_INFO", msg);
    end
end











function Lua_QuestionProxy:onRoleLevelChange()
    if DataCenter.funcOpenData:isOpened(10281) then -- 问卷有礼
        DataCenter.questionData:checkQuestionRedDotState();
    end
end