Lua_PersonReadData = class("Lua_PersonReadData");
function Lua_PersonReadData:ctor()
end

function Lua_PersonReadData:dispose()
	self.isPersonReadAct = false;
end

function Lua_PersonReadData:fromServer50197031(msg)
	if msg == nil then
		return;
	end

	if self.isPersonReadAct and self.personReadEndTimes <= 0 and msg.end_times > 0 then
		self.isPersonReadAct = false;
		OperateAlert.showLangValue(490004);
	end
	self._person_read_end_times = msg.end_times; -- 特权结束时间，充值成功的end_times大于0，没充值的返回0
	-- self.reward_status = msg.reward_status; -- 每日礼包领取状态 0不可领取，1可领取，2已领取
	-- DataCenter.redPointData:updateRedPointState(Lua_RedPointList.RaccoonMart_PersonRead, msg.reward_status == 1);

	DataCenter.redPointData:updateRedPointState(Lua_RedPointList.MainLine_Privilege, self.personReadEndTimes <= 0);
end

function Lua_PersonReadData.Get:personReadEndTimes()
	return self._person_read_end_times or 0;
end





function Lua_PersonReadData.Get:personReadConfig()
	return getConfig("exclusive_subscribe", "const");
end

function Lua_PersonReadData.Get:quick_fight_gain_range()
	if self.personReadEndTimes > 0 then
		local configInfo = getConfig("exclusive_subscribe", "const");
		return configInfo["quick_fight_free_range"] + configInfo["quick_fight_gain_range"] or 0;
	end
	return 0;
end

function Lua_PersonReadData.Get:alchemyNum()
	return getConfig("exclusive_subscribe", "const", "alchemy_num") or 0;
end