-- 日常任务-活跃战令Vo
Lua_ActiveWarVo = class("Lua_ActiveWarVo.Lua")
function Lua_ActiveWarVo:ctor(id, config)
	self.id = id;
	self.config = config;
	if self.config == nil then
		self.config = getConfig("active_war_order", id);
	end
end
	
function Lua_ActiveWarVo:updateServer(obj)
	self.primaryRewardState = obj.normal_reward_state;
	self.seniorRewardState = obj.stage_reward_state;
end

-- 解锁初级战令所需道具
function Lua_ActiveWarVo.Get:lockRewardTVo()
	if self._lockRewardTVo == nil then
		local obj = self.config.lock_reward_item[1];
		self._lockRewardTVo = Lua_ToolVo.createToolVo(obj[1],obj[2]);
	end
	return self._lockRewardTVo;
end

-- 初级奖励道具列表
function Lua_ActiveWarVo.Get:primaryRewardList()
	return self.config.reward_item;
end

-- 高级奖励道具列表
function Lua_ActiveWarVo.Get:seniorRewardList()
	return self.config.stage_reward_item;
end

------------------------- id为const才可获取 -------------------------
-- 高级战令解锁充值Id
function Lua_ActiveWarVo.Get:rechargeId()
	return self.config.recharge_id;
end

-- 轮次
function Lua_ActiveWarVo.Get:round()
	return self.config.round;
end

-- 进度值
function Lua_ActiveWarVo.Get:process()
	return self.config.process;
end