Lua_ThingDefine = { };

-- 性别
Lua_ThingDefine.MALE = 1; -- 男
Lua_ThingDefine.FEMALE = 2; -- 女


-- pk状态
Lua_ThingDefine.PK_STATE_PEASE = 0;
Lua_ThingDefine.PK_STATE_ALL = 1;
Lua_ThingDefine.PK_STATE_TEAM = 2;
Lua_ThingDefine.PK_STATE_CAMP = 3;

-- 场景单位类型
Lua_ThingDefine.USER = 1; -- 主角
Lua_ThingDefine.PLAYER = 2; -- 玩家
Lua_ThingDefine.MONSTER = 3; -- 怪物
Lua_ThingDefine.MOUNTS = 4; -- 
Lua_ThingDefine.HERO = 5; -- 英雄
Lua_ThingDefine.SCENE_EFFECT = 6; -- 场景特效
Lua_ThingDefine.NPC = 7; -- npc
Lua_ThingDefine.PET = 8; -- 宠物
Lua_ThingDefine.ACTIVITY_THING = 9;
Lua_ThingDefine.DROP_ITEM = 10;	-- 掉落物
Lua_ThingDefine.STRUCTURE = 18; -- 建筑
Lua_ThingDefine.IMAGE_THING = 19; -- 图片展示
Lua_ThingDefine.LEVEL_NODE = 20; -- 场景节点
Lua_ThingDefine.HEXAGONMAP_GRID = 21; -- 六边形地图格子


--
Lua_ThingDefine.CONSTRUCTION_EFFECT = 4;
Lua_ThingDefine.PLAYER_EFFECT = 5;


--
Lua_ThingDefine.DELAULT_LAYER = 0;
Lua_ThingDefine.TRANSPARENTFX_LAYER = 1;
Lua_ThingDefine.UI_LAYER = 5;


--
Lua_ThingDefine.CUR = 0;
Lua_ThingDefine.CAN_MOVE = 1;
Lua_ThingDefine.CAN_JUMP = 2;
Lua_ThingDefine.CAN_FIGHT = 3;
Lua_ThingDefine.CAN_RUSH = 4;
Lua_ThingDefine.CAN_ACTION_CHANGE = 5;
Lua_ThingDefine.CAN_JOY_MOVE = 6;
Lua_ThingDefine.CAN_NORMAL_MOVE_SPEED = 7;


-- 部件
Lua_ThingDefine.PART_HELMET = 1;--头盔
Lua_ThingDefine.PART_CLOTH = 2;--衣服
Lua_ThingDefine.PART_BARCER = 3;--护臂
Lua_ThingDefine.PART_GLOVE = 4;--手套
Lua_ThingDefine.PART_GAITER = 5;--护腿
Lua_ThingDefine.PART_SHOE = 6;--战靴
Lua_ThingDefine.PART_AMULET = 7;--护符
Lua_ThingDefine.PART_NECKLACE = 8;--项链
Lua_ThingDefine.PART_RING = 9;--戒指
Lua_ThingDefine.PART_BANGLE = 10;--手镯
Lua_ThingDefine.PART_CUFF = 11;--护腕
Lua_ThingDefine.PART_WEAPON = 12;--武器


-- 攻击动作id
Lua_ThingDefine.STAND = 0; --站立
Lua_ThingDefine.WALK = 1; --走动
Lua_ThingDefine.ATTACK = 2; --攻击
Lua_ThingDefine.ATTACK2 = 3; --攻击2
Lua_ThingDefine.ATTACK3 = 4; --攻击3
Lua_ThingDefine.INJURY = 5; --受击1
Lua_ThingDefine.DEATH = 6; --死亡
Lua_ThingDefine.JUMP = 7; --跳
Lua_ThingDefine.COLLECT = 8;--采集
Lua_ThingDefine.ATTACK4 = 10;--攻击4
Lua_ThingDefine.UIWAIT = 100;--ui待机wait
Lua_ThingDefine.UISHOW = 101;--ui展示show
Lua_ThingDefine.UICLICK = 102; -- 界面点击


Lua_ThingDefine.STAND_STR = "wait"; --站立
Lua_ThingDefine.WALK_STR = "walk"; --走动
Lua_ThingDefine.ATTACK_STR = "attack"; --攻击
Lua_ThingDefine.ATTACK2_STR = "skill1"; --攻击2
Lua_ThingDefine.ATTACK3_STR = "skill2"; --攻击3
Lua_ThingDefine.ATTACK4_STR = "skill3"; --攻击4
Lua_ThingDefine.INJURY_STR = "injury"; --受击1
Lua_ThingDefine.DEATH_STR = "die"; --死亡
Lua_ThingDefine.JUMP_STR = "jump"; --跳
Lua_ThingDefine.COLLECT_STR = "collect";--采集
Lua_ThingDefine.UIWAIT_STR = "pose";--ui待机wait
Lua_ThingDefine.UISHOW_STR = "show";--ui展示show
Lua_ThingDefine.UICLICK_STR = "click"; -- 界面点击


-- 状态
Lua_ThingDefine.STATE_LEN = 16; -- 状态总数
Lua_ThingDefine.STATE_MOVE = 0;
Lua_ThingDefine.STATE_JUMP = 1;
Lua_ThingDefine.STATE_FIGHT = 2;
Lua_ThingDefine.STATE_RUSH = 3;
Lua_ThingDefine.STATE_JOY_MOVE = 4;
Lua_ThingDefine.STATE_COLLECT = 5;
Lua_ThingDefine.STATE_PRACTIVE = 6;
Lua_ThingDefine.STATE_FLY = 7;
Lua_ThingDefine.STATE_KONGJU = 8;
Lua_ThingDefine.STATE_BIANXING = 9;
Lua_ThingDefine.STATE_HUNLUAN = 10;
Lua_ThingDefine.STATE_CHANGE_MAP = 11;
Lua_ThingDefine.STATE_FLOATING = 12;--漂浮
Lua_ThingDefine.STATE_FOLLOW = 13;
Lua_ThingDefine.STATE_COMOUNT_MAIN = 14;--双人坐骑 主
Lua_ThingDefine.STATE_COMOUNT_PLAYER = 15;--双人坐骑 从