-- 怪物组配置
Lua_MonsterFightGroupConfigData = class("Lua_MonsterFightGroupConfigData");
function Lua_MonsterFightGroupConfigData.getConfigData(gid)
	if Lua_MonsterFightGroupConfigData.configs == nil then
		Lua_MonsterFightGroupConfigData.configs = {};
	end

	if Lua_MonsterFightGroupConfigData.configs[gid] == nil then
		local cfg = getConfig( { "tb_monster_fight_group", gid });
	    if cfg == nil then
	    	return nil;
	    end
		Lua_MonsterFightGroupConfigData.configs[gid] = Lua_MonsterFightGroupConfigData.new(gid, cfg);
	end
	return Lua_MonsterFightGroupConfigData.configs[gid];
end

function Lua_MonsterFightGroupConfigData:ctor(gid, config)
	self:superCall("ctor");

	self._id = gid;
	self.config = config;
	if self.config == nil then
		self.config = getConfig({"tb_monster_fight_group", gid});
	end
end

function Lua_MonsterFightGroupConfigData.Get:id()
	return self._id;
end

function Lua_MonsterFightGroupConfigData.Get:formationType()
	if self.config.formationType == nil then
		return 0;
	end
	return self.config.formationType;
end

function Lua_MonsterFightGroupConfigData.Get:fighter_list()
	return self.config.fighter_list;
end

function Lua_MonsterFightGroupConfigData.Get:posOffsetxArr()
	if self._posOffsetxArr == nil then
		local list = self.config.fighter_list;
		if list == nil or #list <= 0 then
			return nil;
		end

		self._posOffsetxArr = Array();
		local posOffsetX = self.config.posOffsetX;
		for i = 1, #list do
			if posOffsetX == nil or #posOffsetX < i then
				self._posOffsetxArr:add(0);
			else
				self._posOffsetxArr:add(posOffsetX[i]);
			end
		end
	end 
	return self._posOffsetxArr;
end

function Lua_MonsterFightGroupConfigData.Get:posOffsetzArr()
	if self._posOffsetzArr == nil then
		local list = self.config.fighter_list;
		if list == nil or #list <= 0 then
			return nil;
		end

		self._posOffsetzArr = Array();
		local posOffsetZ = self.config.posOffsetZ;
		for i = 1, #list do
			if posOffsetZ == nil or #posOffsetZ < i then
				self._posOffsetzArr:add(0);
			else
				self._posOffsetzArr:add(posOffsetZ[i]);
			end
		end
	end 
	return self._posOffsetzArr;
end