Lua_TrialEachInfoVo = class("Lua_TrialEachInfoVo")
function Lua_TrialEachInfoVo:ctor(id, config)
	self.id = id;
	self._config = config;
	self:dispose();
end

function Lua_TrialEachInfoVo:dispose()
	self.state = 0; -- 0未开启 1可挑战 2可扫荡
	self.reward = Array();
end

function Lua_TrialEachInfoVo:updateEachInfo(info)
	self.state = info.state;
	self.reward:clear();
	for i = 1, #info.reward do
		self.reward:add(Lua_ToolVo.createToolVo(info.reward[i].id, info.reward[i].amount));
	end
end

function Lua_TrialEachInfoVo.Get:config()
	if self._config == nil then
		self._config = getConfig("trial", self.id);
	end
	return self._config;
end

-- 名字
function Lua_TrialEachInfoVo.Get:name()
	return self.config.name;
end

-- 挑战花费
function Lua_TrialEachInfoVo.Get:challenge_cost()
	return self.config.challenge_cost;
end

-- 开启条件名字
function Lua_TrialEachInfoVo.Get:stage_name()
	return self.config.stage_name;
end

-- 开启条件1
function Lua_TrialEachInfoVo.Get:stage_id()
	return self.config.stage_id;
end

-- 开启条件2
function Lua_TrialEachInfoVo.Get:level()
	return self.config.level;
end

-- 副本条件2名字
function Lua_TrialEachInfoVo.Get:level_name()
	return self.config.level_name;
end

-- 副本类型
function Lua_TrialEachInfoVo.Get:script_type()
	return self.config.script_type;
end

-- 副本怪物id
function Lua_TrialEachInfoVo.Get:monster_id()
	return self.config.monster_id;
end