checkRequire("Lua_TrialData");
Lua_TrialProxy = class("Lua_TrialProxy");
function Lua_TrialProxy:ctor()
	DataCenter.TrialData = Lua_TrialData.new();

	Lua_MsgUtil.addLuaMsg(50150001, self, self.rTrialTypeInfo);
end

function Lua_TrialProxy:refreshRedPoint()
	local arr = DataCenter.TrialData:getTrialTypeArr();
	for i = 1, arr:getSize() do
		if arr[i].open_state then
			self:sTrialTypeInfo(arr[i].id);
		end
	end
end

-- 试炼副本信息（返回）
function Lua_TrialProxy:rTrialTypeInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50150001();
		msg:ParseFromString(mp.data);
		DataCenter.TrialData:fromServer50150001(msg);
		Lua_MsgUtil.callFunc("UPDATE_TRIAL_TYPE_INFO", msg.trial_info.type);
	end
end





-- 请求试炼副本信息
function Lua_TrialProxy:sTrialTypeInfo(type)
	local cmd = ProtoPublic_pb.Proto10150001();
	cmd.type = tonumber(type);
	sendMsg(10150001, cmd);
end

-- 请求扫荡副本
function Lua_TrialProxy:sClear(index)
	local cmd = ProtoPublic_pb.Proto10150002();
	cmd.index = index;
	sendMsg(10150002, cmd);
end