Lua_VideosData = class("Lua_VideosData")
function Lua_VideosData:ctor()
	self:superCall("ctor");
	self:dispose();
end

function Lua_VideosData:dispose()
	self._like_times = 0; -- 已点赞次数
	self.like_rewrad_times = 0; -- 已获得点赞奖励次数
	self.save_times = 0; -- 已收藏数量
end

function Lua_VideosData.Get:like_times()
	return self._like_times or 0
end

function Lua_VideosData.Set:like_times(value)
	self._like_times = value
	local like_limit = DataCenter.videosUtil.like_times;
	DataCenter.redPointData:updateRedPointState(Lua_RedPointList.Video_Like, value < like_limit);
end