--独家企划代理类
checkRequire("Lua_ExclusivePlanData");
checkRequire("Lua_ExclusivePlanUtil");
Lua_ExclusivePlanProxy = class("Lua_ExclusivePlanProxy");
function Lua_ExclusivePlanProxy:ctor()
	DataCenter.exclusivePlanData = Lua_ExclusivePlanData.new();
	DataCenter.exclusivePlanUtil = Lua_ExclusivePlanUtil.new();

	Lua_MsgUtil.addLuaMsg(50197036, self, self.rPanelInfo);
	Lua_MsgUtil.addLuaMsg(50197041, self, self.rGetTaskInfo);
end

function Lua_ExclusivePlanProxy:sExclusivePlanInfo()
	sendMsg(10197036);
end

function Lua_ExclusivePlanProxy:sGetReward(id)
	local cmd = ProtoPublic_pb.Proto10197037();
	cmd.plan_id = id;
	sendMsg(10197037, cmd);
end

function Lua_ExclusivePlanProxy:sBuyLevel(buyNum)
	local cmd = ProtoPublic_pb.Proto10197038();
	cmd.level_num = buyNum;
	sendMsg(10197038, cmd);
	Lua_MsgUtil.callFunc("SHOW_PLAN_PANEL_INFO");
end

function Lua_ExclusivePlanProxy:sGetAllReward()
	sendMsg(10197039);
end

function Lua_ExclusivePlanProxy:sGetExtraExp()
	sendMsg(10197040);
end

function Lua_ExclusivePlanProxy:sGetTaskInfo()
	sendMsg(10197041);
end

function Lua_ExclusivePlanProxy:sGetTaskReward(taskId)
	local cmd = ProtoPublic_pb.Proto10197042();
	cmd.task_id = taskId;
	sendMsg(10197042, cmd);
end

function Lua_ExclusivePlanProxy:rPanelInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197036();
		msg:ParseFromString(mp.data);
		DataCenter.exclusivePlanData:fromServer50197036(msg);
	end
end

function Lua_ExclusivePlanProxy:rGetTaskInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197041();
		msg:ParseFromString(mp.data);
		DataCenter.exclusivePlanData:fromServer50197041(msg);
	end
end

