--独家企划Util
checkRequire("Lua_FlashCardVo")
Lua_ExclusivePlanUtil = class("Lua_ExclusivePlanUtil");
function Lua_ExclusivePlanUtil:ctor()
	self:dispose();
end

function Lua_ExclusivePlanUtil:dispose()
	self.isNoNeedAppear = false;--是否需要弹出闪卡提示弹窗
end

function Lua_ExclusivePlanUtil:getLevelNeedExp(level) --当前等级达到某个等级一共需要的经验
	local curLevel = DataCenter.exclusivePlanData.planLevel;
	local curPeriod = DataCenter.exclusivePlanData.curPeriod;
	local id = level + curPeriod * 10000;
	local vo;
	local exp = 0;
	for i = curLevel + 1, level do
		vo = DataCenter.exclusivePlanData:getLevelVoById(id);
		exp = exp + vo.upNeedExp;
	end
	exp = exp - DataCenter.moneyData:getMoney(Lua_ResourcesDefine.PLAN_EXP);
	return exp;
end

function Lua_ExclusivePlanUtil:getTwoLevelReward(startLevel, overLevel, senior, general) --两个等级之间的奖励,senior高级general普通
    if overLevel == nil or type(overLevel) ~= "number" or startLevel == nil or type(startLevel) ~= "number" then
    	return nil;
    end
    local rewardArr = Array();
    local planType = DataCenter.exclusivePlanData.planType
    local curPeriod = DataCenter.exclusivePlanData.curPeriod;
    local vo;
	for i = startLevel, overLevel do
		vo = DataCenter.exclusivePlanData:getLevelVoById(i + curPeriod * 10000);
		if vo ~= nil then
			if senior == true then
				for j = 1, #vo.seniorReward do
					rewardArr:add(vo.seniorReward[j]);
				end
			end
		    if general == true then
		    	for j = 1, #vo.reward do
		    		rewardArr:add(vo.reward[j]);
		    	end
		    end
		end
	end
	return rewardArr;
end

function Lua_ExclusivePlanUtil:mergeRewardInfo(rewardArr) --奖励相同整合
	local list = {};
	local rewardList = {};
	local index = 1;
	for i = 1, rewardArr:getSize() do
		if list[rewardArr[i][1]] == nil then
			list[rewardArr[i][1]] = rewardArr[i][2];
		else
			list[rewardArr[i][1]] = list[rewardArr[i][1]] + rewardArr[i][2];
		end
	end
	for k, v in pairs(list) do
		rewardList[index] = {k, v};
		index = index + 1;
	end
	return rewardList;
end

function Lua_ExclusivePlanUtil.Get:rechargeId() --充值id
	return getConfig("sole_plan_type", "const", "rechargeId");
end

function Lua_ExclusivePlanUtil.Get:conversionRate() --1钻石可购买的经验
	return getConfig("sole_plan_type", "const", "item_to_exp");
end

function Lua_ExclusivePlanUtil.Get:buyOpenTime()
	return getConfig("sole_plan_type", "const", "last_day");
end