checkRequire("Lua_SignInVo");
checkRequire("Lua_GradeGiftVo");
Lua_WelfareUtil = class("Lua_WelfareUtil");
function Lua_WelfareUtil:ctor()
	self:dispose();
end

function Lua_WelfareUtil:dispose()
	self.gradeGiftDic = nil;
end

-------------------- 签到数据 --------------------
function Lua_WelfareUtil.Get:signInLimit()
	if self._signInLimit == nil then
		self._signInLimit = Lua_CommonUtil.getCommonConfig("sign_active_limit", 1);
	end
	return self._signInLimit;
end

function Lua_WelfareUtil:getSignInfoByRound(round, count)
	if self.signInRound ~= round then
		if self.singInfo ~= nil then
			self.singInfo:clear();
			self.singInfo = nil;
		end
		self.signInRound = round;
	end
	if self.singInfo == nil then
		self.singInfo = Array();
		local id;
		local vo;
		for i = 1, count do
			id = round * 100 + i;
			vo = Lua_SignInVo.new(id);
			self.singInfo:add(vo);
		end
	end
	return self.singInfo;
end










-------------------- 等级礼包 --------------------
function Lua_WelfareUtil:getGradeGiftVo(id)
	if self.gradeGiftDic == nil then
		self.gradeGiftDic = {};
	end
	if self.gradeGiftDic[id] == nil then
		local config = getConfig("rewardhall_lvl_gift", id);
		if config == nil then
			return;
		end
		self.gradeGiftDic[id] = Lua_GradeGiftVo.new(id, config);
	end
	return self.gradeGiftDic[id];
end