Lua_HeroConnectIconItem = class("Lua_HeroConnectIconItem", Lua_DisplayObject)
function Lua_HeroConnectIconItem:ctor(p)
	self:superCall("ctor", p, "HeroConnectIconItem_skin")
end

function Lua_HeroConnectIconItem:buildShowItem()
	self:superCall("buildShowItem")
end

function Lua_HeroConnectIconItem:dispose()
	self:superCall("dispose")
end

function Lua_HeroConnectIconItem:setData(connVo, data)
	local camp
	local career
	if data.heroId then
		local config = Lua_HeroConfigData.getConfig(data.heroId)
		self.bg:setEnable(true)
		self.bg:setAltas("common_altas_1", "xui_common_itembg_"..config.color)
		self.icon:setAltas(config.atlas, config.sprite)
		self.icon:SetDimensions(124, 124)

		if connVo.type == 1 or connVo.type == 2 or connVo.type == 3 then
			camp = config.camp
		else
			career = config.career
		end
	else
		self.bg:setEnable(false)
		self.icon:SetDimensions(122, 122)
		camp = data.camp
		career = data.career
		if connVo.type == 2 or connVo.type == 3 then
			self.icon:setAltas("hero_embattle", "xui_bz_widget_"..camp + 12)
		elseif connVo.type == 4 or connVo.type == 5 then
			-- if data.state then
			-- 	self.icon:setAltas("hero_embattle", "xui_bz_widget_40")
			-- else
			-- 	self.icon:setAltas("hero_embattle", "xui_bz_widget_39")
			-- end
			self.icon:setAltas("hero_embattle", "xui_bz_widget_40")
		end
	end

	if camp then
		self.campIcon:setEnable(true)
		self.campIcon:setAltas("common_altas_2", "xui_common_attribute_"..camp + 6)
	else
		self.campIcon:setEnable(false)
	end
	if career then
		self.careerIcon:setEnable(true)
		self.careerIcon:setAltas("common_altas_2", "xui_bz_widget_"..career + 19)
	else
		self.careerIcon:setEnable(false)
	end

	self.maskIcon:setEnable(not data.state)
end
