--联盟系统 联盟宝库商品Vo
Lua_AllianceTreasuryVo = class("Lua_AllianceTreasuryVo");

function Lua_AllianceTreasuryVo:ctor(id, config)
	self.id = id;
	self.config = config;
	if self.config == nil then
		self.config = getConfig({"league_treasury", self.id});
	end
end

function Lua_AllianceTreasuryVo:dispose()
end

function Lua_AllianceTreasuryVo:fromServer(msg)
	self.index = msg.id;--商品格子id
	self.getItemVo:fromServer(msg.item);
end

function Lua_AllianceTreasuryVo.Get:getItemVo()
	if self._itemVo == nil then
		self._itemVo = Lua_ToolVo.new(self.id);
	end
	return self._itemVo
end

function Lua_AllianceTreasuryVo.Get:packNum()
	return self._packNum;
end

function Lua_AllianceTreasuryVo.Set:packNum(val)
	self._packNum = val;
end

function Lua_AllianceTreasuryVo.Get:uniqueId()
	return self._uniqueId;
end

function Lua_AllianceTreasuryVo.Set:uniqueId(val)
	self._uniqueId = val;
end

-------------------配置数据-------------------
function Lua_AllianceTreasuryVo.Get:type()--宝库类型
	return self.config.type;
end

function Lua_AllianceTreasuryVo.Get:base_amount()--每次放入的最小数量
	return self.config.base_amount;
end

function Lua_AllianceTreasuryVo.Get:amount_limit()--单位商品的最大数量
	return self.config.amount_limit;
end

function Lua_AllianceTreasuryVo.Get:treasury_limit()--宝库上限
	return self.config.treasury_limit;
end

function Lua_AllianceTreasuryVo.Get:get_league_coin()--获得的联盟币
	return self.config.get_league_coin;
end

function Lua_AllianceTreasuryVo.Get:sell_league_coin()--单位出售价格
	return self.config.sell_league_coin;
end