--联盟系统 联盟等级Vo
Lua_AllianceLevelVo = class("Lua_AllianceLevelVo");
function Lua_AllianceLevelVo:ctor(id, config)
	self.id = id;
	self.config = config;
	if self.config == nil then
		self.config = getConfig({"league_level", self.id});
	end
end

function Lua_AllianceLevelVo:dispose()
end

function Lua_AllianceLevelVo.Get:nextLevelVo()
	if self._nextLevelVo == nil then
		self._nextLevelVo = Lua_AllianceLevelVo.new(self.id + 1);
	end
	return self._nextLevelVo;
end

function Lua_AllianceLevelVo.Get:getAddPropArr()
	if self._addPropArr == nil then
		if self.build_val_cond > 0 then
			self._addPropArr = DataCenter.attributesUtil:getAttrArrByConfig(self.add_prop, self.nextLevelVo.add_prop);
		else
			self._addPropArr = DataCenter.attributesUtil:getAttrArrByConfig(self.add_prop);
		end
	end
	return self._addPropArr;
end

-------------------配置数据-------------------
function Lua_AllianceLevelVo.Get:build_val_cond()
	if self.config.build_val_cond == nil then
		return 0;
	end
	return self.config.build_val_cond;
end

function Lua_AllianceLevelVo.Get:max_member()
	return self.config.max_member;
end

function Lua_AllianceLevelVo.Get:vice_leader_num()
	return self.config.vice_leader_num;
end

function Lua_AllianceLevelVo.Get:elite_num()
	return self.config.elite_num;
end

function Lua_AllianceLevelVo.Get:lvl_reward()
	return self.config.lvl_reward;
end

function Lua_AllianceLevelVo.Get:add_prop()
	return self.config.add_prop;
end