checkRequire("Lua_ChatChanelIconItem");
Lua_ChatWithChanelItem = class("Lua_ChatWithChanelItem", Lua_DisplayObject);
function Lua_ChatWithChanelItem:ctor(p, width)
	self.type = 1;
	self.showWidth = width;
	self:superCall("ctor", p); 
end

function Lua_ChatWithChanelItem:buildShowItem()
	self:superCall("buildShowItem");
	
	self.height = 0;
	self.contentBg = UICreate.createUIAtlasImage(self.content, "chat_atlas", "ui_liaotian_window_003", 0, 0, self.showWidth - 150, 44);
	self.contentBg:setLocation(-249, -5);
	self.contentBg.pivot = UIUtils.Pivot.TopLeft;
	self.infoItem = Lua_ChatInfoItem.new(self.content, self.showWidth - 150);
	
end

function Lua_ChatWithChanelItem:setData(vo)
    self.chatData = vo;
	self.infoItem:setChatData(vo);
	local str = vo:getMsg(false, false);
    if self.chanelItem == nil then
        self.chanelItem = Lua_ChatChanelIconItem.new(self.content);
        self.chanelItem:setLocation(-293, -27, 0);
    end
    self.chanelItem:setEnable(true);
    self.chanelItem:setChanle(vo);
    self.infoItem:setData(str);
    self.infoItem:setLocation(-222, -13, 0);
    -- self.infoItem:setWidth(492);


	local w = self.infoItem.textWidth + 40;
	self.height = self.infoItem:getHeight() + 19;
	self.contentBg:SetDimensions(w, self.height);
end

function Lua_ChatWithChanelItem:getHeight()
    return self.height + 35;
end

function Lua_ChatWithChanelItem:getOffsetY()
    if DataCenter.chatData.openChannelTag ~= Lua_ChatData.CHANNEL_SYSTEM then
        return 45;
    end
end

function Lua_ChatWithChanelItem:dispose()
	if self.isDispose_2 ~= true then
		WindowMananger.getInstance():returnToPool(self.content.transform);
	end
	self:superCall("dispose");
end

function Lua_ChatWithChanelItem:onPressClick()
  	self.infoItem:checkUrlClick();
end