-- 收藏册
Lua_CollectBookCardItem = class("Lua_CollectBookCardItem", Lua_DisplayObject);
function Lua_CollectBookCardItem:ctor(p,t)
	self:superCall("ctor", p, "CollectionBookCardItem_skin");
	self.dire = t;--1左边，2右边
end
function Lua_CollectBookCardItem:buildShowItem()
	self:superCall("buildShowItem");

	self.cardSp:addClickFuntion(self,self.onOpenCardBookClick);
end

function Lua_CollectBookCardItem:getWidth()
	return 400;
end

function Lua_CollectBookCardItem:getHeight()
	return 180;
end

function Lua_CollectBookCardItem:setData(chatVo)
	-- local info = chatVo.recordInfo;
	-- if info == nil then
	-- 	return;
	-- end

	if self.dire == 1 then
		self.bg:setAltas("chat_atlas", "ui_liaotian_window_003");
		self.cardSp:setLocation(8, -17);
		self.contentTxt:setLocation(-97, 141);
	else
		self.bg:setAltas("chat_atlas", "ui_liaotian_window_002");
		self.cardSp:setLocation(-9, -17);
		self.contentTxt:setLocation(-114, 141);
	end
	self.playerInfo = chatVo.chat_player;
	self.contentTxt:setLangValue(410057);
end

function Lua_CollectBookCardItem:onOpenCardBookClick()
	if self.playerInfo == nil then
		return;
	end

	DataCenter.collectionBookData:setOtherPlayerInfo(self.playerInfo);
	Lua_ProxyManager.getProxy("Lua_CollectionBookProxy"):sFindOtherCards(self.playerInfo.id);
	Lua_WindowUtil.openWin("Lua_ChatWindow", Lua_WinParam.ACTION_CLOSE);
end

function Lua_CollectBookCardItem:dispose()
	self:superCall("dispose");
end
