-- 跨服时空vo
Lua_CrossServerVo = class("Lua_CrossServerVo")
function Lua_CrossServerVo:ctor(id, config)
	self.id = id;
	self.config = config;
	if config == nil then
		self.config = getConfig( { "cross_server", id });
	end
end

-- 功能是否开启
function Lua_CrossServerVo.Get:isOpened()
	return DataCenter.funcOpenData:isOpened(self.func_open_id);
end

-- 排序权重(值越大越靠前)
function Lua_CrossServerVo.Get:sortWeight()
	if self.isOpened then
		return 100000 + self.sort;
	else
		return self.sort;
	end
end





function Lua_CrossServerVo.Get:name()
	return self.config.name;
end

function Lua_CrossServerVo.Get:func_open_id()
	return self.config.func_open_id;
end

function Lua_CrossServerVo.Get:des()
	return self.config.des;
end

function Lua_CrossServerVo.Get:winBg()
	return self.config.winBg;
end

function Lua_CrossServerVo.Get:reward_list()
	return self.config.reward_list;
end

function Lua_CrossServerVo.Get:sort()
	return self.config.sort;
end

function Lua_CrossServerVo.Get:func_path_id()
	return self.config.func_path_id;
end