Lua_HeroGatherData = class("Lua_HeroGatherData")
function Lua_HeroGatherData:ctor()
end

function Lua_HeroGatherData:fromServer(msg)
	if msg == nil then
		return;
	end

	self.curTaskId = msg.cur_task; -- 当前阶段id
	self.endTick = msg.close_tick or self.endTick; -- 结束时间戳

	local obj;
	local redDotState = false;
	self.heroGatherList = {}; -- 英雄集结信息列表
	for i = 1, #msg.hero_gather_list do
		obj = msg.hero_gather_list[i];
		self.heroGatherList[obj.task_id] = obj;

		if not redDotState and obj.state == 1 then
			redDotState = true;
		end
	end
	DataCenter.redPointData:updateRedPointState(Lua_RedPointList.ExcellentAct_HeroGather, redDotState);
end

function Lua_HeroGatherData.Get:heroGatherConstConfig()
	if self._heroGatherConstConfig == nil then
		self._heroGatherConstConfig = getConfig("hero_gather", "config");
	end
	return self._heroGatherConstConfig;
end

function Lua_HeroGatherData.Get:heroGatherInfoArr()
	if self._heroGatherInfoArr == nil then
		self._heroGatherInfoArr = Array();

		local config = getConfig("hero_gather");
		for k,v in pairs(config) do
			if v.target_num ~= nil then
				self._heroGatherInfoArr:add(v);
			end
		end
		self._heroGatherInfoArr:sort("id", false);
	end
	return self._heroGatherInfoArr;
end