checkRequire("Lua_FirstRechargeData");
Lua_FirstRechargeProxy = class("Lua_FirstRechargeProxy");
function Lua_FirstRechargeProxy:ctor()
	DataCenter.firstRechargeData = Lua_FirstRechargeData.new();

	Lua_MsgUtil.addLuaMsg(80110002, self, self.rFirstRechargeLogin) -- 首充首次登陆通知
	Lua_MsgUtil.addLuaMsg(50110002, self, self.rFirstRechargeInfo)
end

function Lua_FirstRechargeProxy:rFirstRechargeLogin(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80110002();
		msg:ParseFromString(mp.data);
		if msg and msg.first_login == 1 and msg.recharge == 0 then
			Lua_WindowUtil.openWin("Lua_FirstRechargeWindow", Lua_WinParam.ACTION_OPEN);
		end
	end
end

-- 请求首充活动的界面信息（返回）
function Lua_FirstRechargeProxy:rFirstRechargeInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50110002();
		msg:ParseFromString(mp.data);
		DataCenter.firstRechargeData:fromServer50110002(msg);
		Lua_MsgUtil.callFunc("SHOW_FIRSTRECHARGE");
	end
end










-- 请求首充活动的界面信息
function Lua_FirstRechargeProxy:sFirstRechargeInfo()
	sendMsg(10110002);
end

-- 领取首充奖励，draw_reward-领取首充奖励id
function Lua_FirstRechargeProxy:sReceiveRecharge(draw_reward)
	local cmd = ProtoPublic_pb.Proto10110003();
	cmd.draw_reward = draw_reward;
	sendMsg(10110003, cmd);
end