checkRequire("Lua_FuncPlayVo");
Lua_FuncPlayUtil = class("Lua_FuncPlayUtil");
function Lua_FuncPlayUtil:ctor()
	self:superCall("ctor");
end

function Lua_FuncPlayUtil:init()
	if self.bInit ~= true then
		self.bInit = true;
		self.playDic = {};
		local config = getConfig("function_play");
		local vo;
		for k,v in pairs(config) do
			if v.is_shield ~= 1 then
				if self.playDic[v.type] == nil then
					self.playDic[v.type] = Array();
				end
				vo = Lua_FuncPlayVo.new(k, v);
				self.playDic[v.type]:add(vo);
			end
		end
		for k,v in pairs(self.playDic) do
			v:sort("id", false);
		end
	end
end

function Lua_FuncPlayUtil:getPlayArrByType(playType)
	self:init();
	return self.playDic[playType];
end