-- 套装Vo
Lua_JewelrySuitSchemeVo = class("Lua_JewelrySuitSchemeVo")
function Lua_JewelrySuitSchemeVo:ctor(id)
    self.id = id;
end

function Lua_JewelrySuitSchemeVo:fromServerInfo(msg)
	self.suit_name = msg.suit_name;
	self.celebrity_name = msg.celebrity_name;
    self.celebrity_uid = tonumber(msg.celebrity_uid);
    
	self.jewelry_list = msg.jewelry_list;
    self.suitIdDic = msg.suit_effect;--套装效果id
end

-- 是否免费
function Lua_JewelrySuitSchemeVo.Get:is_free()
    if self._is_free == nil then
    	return false;
    end
    return self._is_free;
end

function Lua_JewelrySuitSchemeVo.Set:is_free(val)
    self._is_free = val;
end

-- 套装名字
function Lua_JewelrySuitSchemeVo.Get:suit_name()
    if self._suit_name == nil or self._suit_name == "" then
    	return LanUtil.formateStr(126576,tostring(convert_arab_to_chinese(self.id)));
    end
    return self._suit_name;
end

function Lua_JewelrySuitSchemeVo.Set:suit_name(val)
    self._suit_name = val;
end

-- 英雄名字
function Lua_JewelrySuitSchemeVo.Get:celebrity_name()
    if self._celebrity_name == nil or self._celebrity_name == "" then
        return LanUtil.getValue(20);
    end
    return "[u]"..self._celebrity_name.."[/u]";
end

function Lua_JewelrySuitSchemeVo.Set:celebrity_name(val)
    self._celebrity_name = val;
end

-- 星魂数据
function Lua_JewelrySuitSchemeVo.Get:jewelrySuitInfo()
    if self.jewelry_list == nil or #self.jewelry_list == 0 then
        return nil;
    end
    local jewelryInfo = {};
    for k,v in ipairs(self.jewelry_list) do
        local jewelryVo = Lua_CelebrityJewelryVo.new(tonumber(v.id));
        jewelryVo:fromServerInfo(v);
        -- print(self.suit_name,"        ",v.part,"   星魂数据  ",v.unique_id,"   星魂数据   激活套装id  ",v.suit_effect)
        jewelryInfo[v.part] = jewelryVo;
    end
	return jewelryInfo;
end

function Lua_JewelrySuitSchemeVo.Get:sort()
    return self.id
end