-- 英雄星魂 消息号代理类
checkRequire("Lua_JewelrySuitData");
checkRequire("Lua_HeroJewelryData");
checkRequire("Lua_HeroJewelryUtil");
Lua_HeroJewelryProxy = class("Lua_HeroJewelryProxy");
function Lua_HeroJewelryProxy:ctor()
    DataCenter.jewelrySuitData = Lua_JewelrySuitData.new();-- 英雄星魂套装
	DataCenter.heroJewelryData = Lua_HeroJewelryData.new();-- 英雄星魂
    DataCenter.heroJewelryUtil = Lua_HeroJewelryUtil.new();-- 英雄星魂
    
    Lua_MsgUtil.addLuaMsg(50145001, self, self.rJewelryRecast);-- 星魂重铸（返回）
    Lua_MsgUtil.addLuaMsg(50145002, self, self.rJewelryBrand); -- 商谈界面（返回）
    Lua_MsgUtil.addLuaMsg(50145004, self, self.rBrandRewaed);  -- 商谈抽奖奖励（返回）
    Lua_MsgUtil.addLuaMsg(50145005, self, self.rJewelryShop);  -- 星魂商店界面（返回）
    Lua_MsgUtil.addLuaMsg(50145006, self, self.rJewelrySuit);  -- 套装界面（返回）
    -- Lua_MsgUtil.addLuaMsg(80143001, self, self.updateFashion);-- 通知英雄时装信息
end


----------------------------------------------------------------------------------------------------------------------------
-- 上行消息号

-- 星魂重铸
function Lua_HeroJewelryProxy:sJewelryRecast(data, _type,lock_info)
    local cmd = ProtoPublic_pb.Proto10145001();
    cmd.jewelry_uid = tonumber(data.unique_id);
    local celebrity_uid = 0;
    if data.is_adorn == true then
        celebrity_uid = data.celebrity_unique_id;
    end
    cmd.celebrity_uid = tonumber(celebrity_uid);
    if lock_info ~= nil then
        for i=1,lock_info:getSize() do
            cmd.nail:append(lock_info[i]);
        end
    end
    cmd.type = _type; -- type 0 - 重铸 1 - 保存 2 - 界面
    sendMsg(10145001, cmd);
end

-- 商谈界面
function Lua_HeroJewelryProxy:sJewelryBrand()
    sendMsg(10145002);
end

-- 星魂佩戴卸下
function Lua_HeroJewelryProxy:sJewelryChange(celebrity_unique_id, unique_id, _type)
    --（英雄唯一id, 星魂唯一id, 穿戴类型）
    -- print(celebrity_unique_id,"   星魂佩戴卸下  id ",unique_id,"  类型  ",_type)
    local cmd = ProtoPublic_pb.Proto10145003();
    cmd.celebrity_id = tonumber(celebrity_unique_id);
    cmd.unique_id = tonumber(unique_id);
    cmd.type = tonumber(_type); -- 0 - 脱下 1 - 穿戴
    sendMsg(10145003, cmd);
end

-- 品牌商谈
function Lua_HeroJewelryProxy:sBrand(brand_id,times)
    local cmd = ProtoPublic_pb.Proto10145004();
    cmd.brand_Id = brand_id;
    cmd.times = times;
    sendMsg(10145004, cmd);
end

-- 星魂商店
function Lua_HeroJewelryProxy:sJewelryShop()
    sendMsg(10145005);
end

-- 套装界面
function Lua_HeroJewelryProxy:sJewelrySuit()
    sendMsg(10145006);
end

-- 套装改名
function Lua_HeroJewelryProxy:sChangeSuitNmae(suit_id,suit_name)
    -- print(suit_id,"   套装改名  id ",suit_name)
    local cmd = ProtoPublic_pb.Proto10145008();
    cmd.suit_id = suit_id;
    cmd.suit_name = suit_name;
    sendMsg(10145008, cmd);
end

-- 方案穿戴到英雄
function Lua_HeroJewelryProxy:sSuitChange(suit_id,celebrity_uid,_type)
    -- print(suit_id,"   套装穿戴卸下  id ",celebrity_uid,"  类型  ",_type)
    local cmd = ProtoPublic_pb.Proto10145009();
    cmd.suit_id = tonumber(suit_id);
    cmd.celebrity_uid = tonumber(celebrity_uid);
    cmd.type = _type; --  1 - 穿戴 2 - 一键卸下 3 - 保存方案
    sendMsg(10145009, cmd);
end

-- 星魂购买
function Lua_HeroJewelryProxy:sJewelryBuy(id,amount)
    local cmd = ProtoPublic_pb.Proto10145010();
    cmd.id = tonumber(id);
    cmd.amount = tonumber(amount);
    sendMsg(10145010, cmd);
end

-- 星魂出售
function Lua_HeroJewelryProxy:sJewelrySell(unique_id)
    local cmd = ProtoPublic_pb.Proto10145011();
    cmd.uid = tonumber(unique_id);
    sendMsg(10145011, cmd);
end

-- 星魂在套装方案 佩戴/替换  
function Lua_HeroJewelryProxy:sJewelryFormSuitAdornOrChange(wear_suit_id, wear_jewelry_uid, vail_suit_id, vail_jewelry_uid)
    -- print(wear_suit_id,"   穿戴星魂唯一id   ",wear_jewelry_uid,"   卸下套装id,没有就填0   ",vail_suit_id,"   卸下星魂唯一id,没有就填0   ",vail_jewelry_uid);
    local cmd = ProtoPublic_pb.Proto10145012();
    cmd.wear_suit_id = tonumber(wear_suit_id);          -- 穿戴套装id
    cmd.wear_jewelry_uid = tonumber(wear_jewelry_uid);  -- 穿戴星魂唯一id
    cmd.vail_suit_id = tonumber(vail_suit_id);          -- 卸下套装id,没有就填0
    cmd.vail_jewelry_uid = tonumber(vail_jewelry_uid);  -- 卸下星魂唯一id,没有就填0
    sendMsg(10145012, cmd);
end

-- 星魂从套装方案 卸下
function Lua_HeroJewelryProxy:sDemountJewelryFormSuit(vail_suit_id, vail_jewelry_uid)
    -- print(vail_suit_id,"   星魂从套装方案 卸下   ",vail_jewelry_uid);
    local cmd = ProtoPublic_pb.Proto10145013();
    cmd.vail_suit_id = tonumber(vail_suit_id);          -- 卸下套装id
    cmd.vail_jewelry_uid = tonumber(vail_jewelry_uid);  -- 卸下星魂唯一id
    sendMsg(10145013, cmd);
end


----------------------------------------------------------------------------------------------------------------------------
-- 下行消息号

-- 星魂重铸后（返回）
function Lua_HeroJewelryProxy:rJewelryRecast(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50145001();
        msg:ParseFromString(mp.data);
        DataCenter.heroJewelryData:fromServer50145001(msg);
        Lua_MsgUtil.callFunc("UPDATE_RECAST_INFO");
    end
end

-- 商谈界面（返回）
function Lua_HeroJewelryProxy:rJewelryBrand(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50145002();
        msg:ParseFromString(mp.data);
        DataCenter.heroJewelryData:fromServer50145002(msg);
        Lua_MsgUtil.callFunc("UPDATE_BRAND_INFO");
    end
end

-- 商谈抽奖奖励（返回）
function Lua_HeroJewelryProxy:rBrandRewaed(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50145004();
        msg:ParseFromString(mp.data);
        DataCenter.heroJewelryData:fromServer50145004(msg);
        -- Lua_MsgUtil.callFunc("UPDATE_BRAND_REWAED_INFO");
    end  
end

-- 星魂商店界面（返回）
function Lua_HeroJewelryProxy:rJewelryShop(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50145005();
        msg:ParseFromString(mp.data);
        DataCenter.heroJewelryData:fromServer50145005(msg);
        Lua_MsgUtil.callFunc("UPDATE_JEWELRY_SHOP_INFO");
    end
end

-- 套装界面（返回）
function Lua_HeroJewelryProxy:rJewelrySuit(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50145006();
        msg:ParseFromString(mp.data);
        DataCenter.jewelrySuitData:fromServer50145006(msg);
        Lua_MsgUtil.callFunc("UPDATE_JEWELRY_SUIT_INFO");
    end
end