-- Equip配置表数据
Lua_RunesPropConfigData = class("Lua_RunesPropConfigData");
function Lua_RunesPropConfigData.getConfigData(id)
	if Lua_RunesPropConfigData.configDic == nil then
		Lua_RunesPropConfigData.configDic = {};
	end

	id = tonumber(id);
	if Lua_RunesPropConfigData.configDic[id] == nil then
		local cfg = getConfig( { "equip_prop", id });
	    if cfg == nil then
	    	return nil;
	    end
		Lua_RunesPropConfigData.configDic[id] = Lua_RunesPropConfigData.new(id, cfg);
	end
	return Lua_RunesPropConfigData.configDic[id];
end

function Lua_RunesPropConfigData:ctor(id, config)
	self:superCall("ctor");
    self.id = id;
    self.config = config;
    if self.config == nil then
	    self.config = getConfig({"equip_prop", id});
	end
end

-- 符石名称
function Lua_RunesPropConfigData.Get:name()
	return self.config.name;
end

-- 部位
function Lua_RunesPropConfigData.Get:part()
	return self.config.part;
end

-- 品质
function Lua_RunesPropConfigData.Get:color()
	return self.config.color;
end

-- 星级
function Lua_RunesPropConfigData.Get:star()
	return self.config.initial_star;
end

-- 排序
function Lua_RunesPropConfigData.Get:sort()
	return self.config.sort;
end



-- 消耗的道具
function Lua_RunesPropConfigData.Get:consume_item()
	return self.config.consume_item;
end

-- 属性字段
function Lua_RunesPropConfigData.Get:attr_list()
	return self.config.attr_list;
end

-- 评分
function Lua_RunesPropConfigData.Get:score()
	return self.config.score;
end

