--战技配置
checkRequire("Lua_TalentConfigData");
Lua_TalentUtil = class("Lua_HeroEquipUtil");
function Lua_TalentUtil:ctor()
	self:superCall("ctor");
	self:dispose();
end

function Lua_TalentUtil:dispose()
	self.talentDic = nil;
end






------------------------------------ 战技常量 ------------------------------------
-- 套装展示限制
function Lua_TalentUtil.Get:suit_limit()
    if self._suit_limit == nil then
        self._suit_limit = getConfig({ "talent_const","suit_limit","value"});
    end
    return self._suit_limit;
end

-- 强化经验
function Lua_TalentUtil.Get:strengthStoneList()
    if self._strengthDic == nil then
        self._strengthDic = getConfig({ "talent_const","strength_stone_list","json_value"});
    end
    return self._strengthDic;
end





------------------------------------ 战技配置 ------------------------------------
--战技数据
function Lua_TalentUtil:getTalentInfoByLevel(level)
    if self.talentDic == nil then
        self.talentDic = {};
        local config = getConfig({ "talent"});
        for k,v in pairs(config) do
            if self.talentDic[v.level] == nil then
                self.talentDic[v.level] = Array();
            end
            self.talentDic[v.level]:add(k);
        end
    end

    return self.talentDic[level];
end








------------------------------------ 战技部位 ------------------------------------
--战技部位
function Lua_TalentUtil:getTalentPartInfo(id)
	local config = getConfig({ "talent_part",id});
    return config;
end

--部位是否解锁
function Lua_TalentUtil:talentPartUnlock(part, level, star)
    local info = self:getTalentPartInfo(part);
    if info ~= nil and info.unlock_lvl <= level and info.unlock_star <= star then
        return true;
    end
    return false;
end