--神陵秘境 事件Vo
Lua_JokerEventVo = class("Lua_JokerEventVo");

function Lua_JokerEventVo:ctor(id)
	self.id = id;
	self.config = getConfig({"tomb_room_event", id});
end

--猜拳
function Lua_JokerEventVo.Get:betType()--下注类型
	if self._betType == nil then
		self._betType = Array();
		for k, v in pairs(self.config.bet_type) do
			local vo = Lua_ToolVo.createToolVo(tonumber(v[1]), tonumber(v[2]));
			self._betType:add(vo)
		end
	end
	return self._betType;
end

function Lua_JokerEventVo.Get:bet_reward()--奖励倍数
	return self.config.bet_reward;
end

function Lua_JokerEventVo:getReward(index)--得到奖励
	local cost = self.bet_cost[index][2];
	local times = self.bet_reward[index];
	return cost * times;
end

--问答
function Lua_JokerEventVo.Get:qa_title()--题目
	return self.config.qa_title;
end

function Lua_JokerEventVo.Get:qa_choose()--选项
	return self.config.qa_choose;
end

function Lua_JokerEventVo.Get:qa_answer()--正确答案
	return self.config.qa_answer;
end

function Lua_JokerEventVo.Get:qa_reward()--回答正确奖励
	return self.config.qa_reward;
end

--保险柜
function Lua_JokerEventVo.Get:box_reward()--保险柜奖励
	if self._boxReward == nil then
		self._boxReward = Array()
		for k, v in pairs(self.config.box_reward) do
			local vo = Lua_ToolVo.createToolVo(tonumber(v[1][1]), tonumber(v[1][2]));
			self._boxReward:add(vo)
		end
	end
	return self._boxReward;
end

function Lua_JokerEventVo.Get:open_box_cost()--开启保险柜消耗
	return self.config.open_box_cost;
end

--粉丝事件
function Lua_JokerEventVo.Get:fan_title()--事件描述
	return self.config.fan_title;
end

function Lua_JokerEventVo.Get:fan_choose()--选项
	return self.config.fan_choose;
end

function Lua_JokerEventVo.Get:fan_result_title()--结果描述
	return self.config.fan_result_title;
end