--限时活动代理类
Lua_LimitedTimeActivityProxy = class("Lua_LimitedTimeActivityProxy")
function Lua_LimitedTimeActivityProxy:ctor()
	DataCenter.starRiverTrialData = Lua_StarRiverTrialData.new();
	DataCenter.OpenServiceAthleticsData = Lua_OpenServiceAthleticsData.new();

	Lua_MsgUtil.addLuaMsg(50197028, self, self.rStarRiverTrialInfo);
	Lua_MsgUtil.addLuaMsg(50197029, self, self.rStarRiverTrialRankInfo);
	Lua_MsgUtil.addLuaMsg(50197035, self, self.rOpenServiceAthleticsInfo);
	Lua_MsgUtil.addLuaMsg(80197035, self, self.nOpenServiceAthleticsRedDot);
end

------------------------------ 星河试炼 ------------------------------

-- 请求星河试炼界面信息（返回）
function Lua_LimitedTimeActivityProxy:rStarRiverTrialInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197028();
		msg:ParseFromString(mp.data);
		DataCenter.starRiverTrialData:fromServer50197028(msg);
		Lua_MsgUtil.callFunc("UPDATE_STARRIVERTRIAL_INFO");
	end
end

-- 请求星河试炼排名界面（返回）
function Lua_LimitedTimeActivityProxy:rStarRiverTrialRankInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197029();
		msg:ParseFromString(mp.data);
		--DataCenter.starRiverTrialData.curRankLv = msg.myself_rank.rank;
		DataCenter.starRiverTrialData:fromServer50197029(msg);
		Lua_MsgUtil.callFunc("UPDATE_STARRIVERTRIAL_RANK_INFO");
	end
end

-- 请求星河试炼界面信息
function Lua_LimitedTimeActivityProxy:sStarRiverTrialInfo(type) --type 界面主动请求发1
	local cmd = ProtoPublic_pb.Proto10197028();
	cmd.first_login = type;
	sendMsg(10197028, cmd);
end

-- 请求星河试炼排名界面
function Lua_LimitedTimeActivityProxy:sStarRiverTrialRankInfo()
	sendMsg(10197029);
end

-- 请求领取星河试炼奖励
function Lua_LimitedTimeActivityProxy:sDrawStarRiverTialReward(grade_id)
	local cmd = ProtoPublic_pb.Proto10197030();
	cmd.grade_id = grade_id; -- 档位id
	sendMsg(10197030, cmd);
end






------------------------------ 开服竞技 ------------------------------

-- 请求开服竞技界面信息（返回）
function Lua_LimitedTimeActivityProxy:rOpenServiceAthleticsInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197035();
		msg:ParseFromString(mp.data);
		DataCenter.OpenServiceAthleticsData:fromServer50197035(msg);
	end
end

-- 请求开服竞技界面信息
function Lua_LimitedTimeActivityProxy:sOpenServiceAthleticsInfo(type)
	local cmd = ProtoPublic_pb.Proto10197035();
	cmd.type = type; -- 1星级 2塔数
	sendMsg(10197035, cmd);
end

-- 通知更新红点状态
function Lua_LimitedTimeActivityProxy:nOpenServiceAthleticsRedDot(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80197035();
		msg:ParseFromString(mp.data);
		DataCenter.OpenServiceAthleticsData:fromServer80197035(msg);
	end
end