-- 主菜单栏界面
checkRequire("Lua_MainBaseWindow");
checkRequire("Lua_MainIconPanel");
Lua_MainIconWindow = class("Lua_MainIconWindow", Lua_MainBaseWindow);
function Lua_MainIconWindow:ctor()
    self:superCall("ctor");
    
    self.layer = MainWinDefine.MAIN_MENU_LAYER;
    self.windowName = "Lua_MainIconWindow";
end

function Lua_MainIconWindow:buildShowItem()
    self:superCall("buildShowItem");
    DataCenter.mainMenuData:setMenuState(Lua_MenuViewDefine.INDEX_MAINICON, false)

    -- local w = MainWinDefine.V_width;
    -- local h = MainWinDefine.V_height;
    -- local half_w = MainWinDefine.V_width / 2;
    local half_h = MainWinDefine.V_height / 2;
    
    self.mainIconPanel = Lua_MainIconPanel.new(self.content);
    self.mainIconPanel:setRectAnchor(7);
    self.mainIconPanel:setLocation(0, -half_h, 0);

    self:updateShowHidePos();
end

function Lua_MainIconWindow:dispose()
    self:superCall("dispose");
end

function Lua_MainIconWindow:updateShowHidePos()
    -- local w = MainWinDefine.V_width;
    -- local h = MainWinDefine.V_height;
    -- local half_w = MainWinDefine.V_width / 2;
    local half_h = MainWinDefine.V_height / 2;

    self.itemDic[Lua_MenuViewDefine.INDEX_MAINICON] = { item = self.mainIconPanel, showPos = Vector3(0, 0, 0), hidePos = Vector3(0, -half_h, 0) };
end