-- 后台活动基类
checkRequire("Lua_OperationalActivitiesWindow")
Lua_BackstageActivitiesWindow = class("Lua_BackstageActivitiesWindow", Lua_OperationalActivitiesWindow);

function Lua_BackstageActivitiesWindow:checkActList(actVo)
	self.actDic = {};
	local arr;
	local actIdx;
	local selectIdx;
	if type(self.showData) == "table" then
		if self.showData.typeof ~= nil and self.showData:typeof() == "Array" then -- 主图标打开
			arr = self.showData;
		else -- 子图标打开
			if self.showData.main_icon > 0 then -- 包含其他活动然后选择当前活动
				arr = DataCenter.backstageActData:getActArrByMainIconId(self.showData.main_icon);
			else
				arr = Array();
				arr:add(self.showData.actIdx);
			end

			if actVo == nil then
				actIdx = self.showData.actIdx;
			else
				actIdx = actVo.actIdx;
			end
		end
	elseif type(self.showData) == "number" then -- 活动类型打开
		local actArr = DataCenter.backstageActData:getActIdxArrByType(self.showData);
		if actArr ~= nil and actArr[1] ~= nil then
			local _actVo = DataCenter.backstageActData:getActVoByIdx(actArr[1]);
			if _actVo.main_icon > 0 then -- 包含其他活动然后选择当前活动
				arr = DataCenter.backstageActData:getActArrByMainIconId(_actVo.main_icon);
			else
				arr = Array();
				arr:add(_actVo.actIdx);
			end

			if actVo == nil then
				actIdx = _actVo.actIdx;
			else
				actIdx = actVo.actIdx;
			end
		end
	end

	local len = arr:getSize();
	for i = 1, len do
		if arr[i] == actIdx then
			selectIdx = i;
		end
		actVo = DataCenter.backstageActData:getActVoByIdx(arr[i]);
		self.actDic[actVo.actType] = 1;
	end

	selectIdx = selectIdx or 1;
	if len > 3 then
		self.actList:setContentRect(605, self.mainItemH)
	else
		self.actList:setContentRect(self.mainItemW * len, self.mainItemH)
	end
	self.actList:setArrayData(arr);
	self.actList.canDrag = not self.actList.isTheEnd
	self.actList:moveToIndex(selectIdx, true);
	self.actList:setSelectClick(selectIdx);
	self.actList:setSelected(selectIdx);
end

function Lua_BackstageActivitiesWindow:onActivitySelected(actVo)
	if self.actVo == actVo or not self:checkActivityIsExist(actVo) then
		return;
	end
	self:updateShowPanel(actVo);
end