Lua_RoleFateVo = class("Lua_RoleFateVo")
function Lua_RoleFateVo:ctor(id, config)
	self.id = id;
	self._config = config;
end

function Lua_RoleFateVo.Get:config()
	if self._config == nil then
		self._config = getConfig("destiny", self.id);
	end
	return self._config;
end

function Lua_RoleFateVo:fromServer(data)
	if data == nil or data.destiny_id ~= self.id then
		return;
	end
	self._level = data.level; -- 激活第几个碎片 0表示刚解锁，1表示激活第一个碎片
	self._is_activate = data.is_activate; -- 是否点亮（0：未点亮，1：已点亮）
end

function Lua_RoleFateVo.Get:level()
	return self._level or 0;
end

function Lua_RoleFateVo.Get:is_activate()
	return self._is_activate or 0;
end

-------------------- 配置数据 --------------------

function Lua_RoleFateVo.Get:name()
	return self.config.name;
end

function Lua_RoleFateVo.Get:chips()
	return self.config.chips;
end

function Lua_RoleFateVo.Get:defautl()
	return self.config.defautl;
end

function Lua_RoleFateVo.Get:iconSprite()
	return self.config.icon_sprite;
end