checkRequire("Lua_TenRecruitSelectVo");
checkRequire("Lua_RecruitData");
Lua_TenRecruitSelectData = class("Lua_TenRecruitSelectData");
function Lua_TenRecruitSelectData:ctor()
	self:dispose();
end

function Lua_TenRecruitSelectData:dispose()
	self.isPlay = false;
	self.rewardInfo = Array();
end

-- 限制等级
function Lua_TenRecruitSelectData.Get:limitLv()
	local taskId = getConfig({"recruit_select", "config", "order_type"});
	return getConfig({"total_task", taskId, "progress"});
end

function Lua_TenRecruitSelectData:fromServer50131012(msg)
	if msg == nil then
		return;
	end

	self.draw_state = msg.draw_state; -- 领取状态

	local vo;
	local obj;
	local redShowState = false;
	for i = 1, #msg.grade_recruit_state do
		obj = msg.grade_recruit_state[i];
		vo = self.rewardInfo[i];
		if vo == nil then
			vo = Lua_TenRecruitSelectVo.new(i);
			self.rewardInfo:add(vo);
		end
		vo:updateInfo(obj);

		-- 播放动画
		if vo.hasExtracted == true and vo.lastState == 1 then
			self.selectType = i;
			self.isPlay = true;

			local recruitVo = DataCenter.recruitUtil:getRecTotVoById(Lua_RecruitData.Ten);
			self:openTranAniOrFea(recruitVo, vo.showStarList);
		end

		if redShowState == false and obj.key == 1 then
			redShowState = true;
		end
	end
	local state = redShowState or self.canReceived;
	DataCenter.redPointData:updateRedPointState(Lua_RedPointList.TenRecruitSelect, state);

	if self.isPlay == false then
		Lua_MsgUtil.callFunc("UPDATE_TENRECRUITSELECT_INFO");
	end
end

function Lua_TenRecruitSelectData:openTranAniOrFea(rvo, showHeroList)
	-- local winData = {};
	-- winData.recVo = rvo;
	-- winData.owner = self;
	-- winData.featureList = showHeroList;
	-- winData.closeCallBack = self.showReward; -- Lua_RecruitShowHeroWindow
	-- Lua_WindowUtil.openWin("Lua_RecruitShowStarWindow", Lua_WinParam.ACTION_OPEN, winData);

	-- 22.6.28 策划要求不使用播放动画
	self:showReward();
end

function Lua_TenRecruitSelectData:showReward()
	Lua_WindowUtil.openWin("Lua_TenRecruitSelectShowRewardWindow", Lua_WinParam.ACTION_OPEN, self.rewardInfo[self.selectType]);
	Lua_MsgUtil.callFunc("UPDATE_TENRECRUITSELECT_INFO");
end

-- 不可领取
function Lua_TenRecruitSelectData.Get:unReceived()
	return self.draw_state == 0;
end

-- 可以领取
function Lua_TenRecruitSelectData.Get:canReceived()
	return self.draw_state == 1;
end

-- 已领取
function Lua_TenRecruitSelectData.Get:hasReceived()
	return self.draw_state == 2;
end