--图腾
Lua_TotemUtil = class("Lua_TotemUtil");
function Lua_TotemUtil:ctor()
    self:superCall("ctor");
    self:dispose();
end

function Lua_TotemUtil:dispose()
    self._orderInfo = nil;
end

--图腾注灵
function Lua_TotemUtil:getTotemInfoByLevel(level)
    if self._totem_level == nil then
        self._totem_level = getConfig({ "totem_level"});
    end
    return self._totem_level[level];
end

--图腾升阶
function Lua_TotemUtil.Get:totemOrderCofingInfo()
    if self._orderInfo == nil then
        self._orderInfo = Array();
        local vo;
        local confing = getConfig({ "totem_order"});
        for i,v in pairs(confing) do
            vo = Lua_TotemOrderCofingData.getConfigData(i);
            self._orderInfo:add(vo);
        end
        self._orderInfo:sort("sort",false);
    end

    return self._orderInfo;
end

function Lua_TotemUtil:getOrderInfoByCamp(camp, order)
	local info = Array();
    local arr = self.totemOrderCofingInfo;
    for i=1,arr:getSize() do
    	if arr[i].camp == camp and arr[i].order ~= 0 then
    		local bool = false;
            
    		if arr[i].order == order then
    			bool = true;
    		end
    		info:add({data = arr[i],isSelect = bool});
    	end
    end
    return info;
end