-- 古城秘藏 路径格子Vo
Lua_TownTreasureCellVo = class("Lua_TownTreasureCellVo");

function Lua_TownTreasureCellVo:ctor(id, config)
	self.id = id;
	if config ~= nil then
		self.config = config;
	else
		self.config = getConfig("tower_secrete_cell", id);
	end
end

function Lua_TownTreasureCellVo:fromServerInfo(msg)
	self.eventId = msg.value;
	self.level = msg.ex_value;
end

function Lua_TownTreasureCellVo.Get:isBuildEvent()
	if self.event_type ~= nil and self.event_type > 0 then
		return true;
	end
	return false;
end

function Lua_TownTreasureCellVo.Get:cellWidth()
	return DataCenter.townTreasureUtil:getCellWidth(self.version_id);
end

function Lua_TownTreasureCellVo.Get:cellHight()
	return DataCenter.townTreasureUtil:getCellHight(self.version_id);
end

function Lua_TownTreasureCellVo.Get:posX()
	return self.cellWidth * self.row;
end

function Lua_TownTreasureCellVo.Get:posY()
	return self.cellHight * self.column;
end

--------------------------- 配置数据 ---------------------------

function Lua_TownTreasureCellVo.Get:row()
	return self.config.row;
end

function Lua_TownTreasureCellVo.Get:column()
	return self.config.column;
end

function Lua_TownTreasureCellVo.Get:version_id()
	return self.config.version_id;
end

function Lua_TownTreasureCellVo.Get:event_type()
	return self.config.event_type;
end

function Lua_TownTreasureCellVo.Get:build_bind_id()
	return self.config.build_bind_id;
end

function Lua_TownTreasureCellVo.Get:next_stage()
	return self.config.next_stage;
end

function Lua_TownTreasureCellVo.Get:icon_res()
	return self.config.icon_res;
end