-- 古城秘藏 Util
Lua_TownTreasureUtil = class("Lua_TownTreasureUtil");

function Lua_TownTreasureUtil:ctor()
	self:dispose();
end

function Lua_TownTreasureUtil:dispose()
end

function Lua_TownTreasureUtil:getVersionInfo(id, key)
	local config = getConfig("tower_secrete_version", id);
	if config ~= nil then
		return config[key];
	end
	return nil;
end

function Lua_TownTreasureUtil:getCellWidth(id)
	return self:getVersionInfo(id, "cell_size_width");
end

function Lua_TownTreasureUtil:getCellHight(id)
	return self:getVersionInfo(id, "cell_size_hight");
end

function Lua_TownTreasureUtil:getMapSize(id)
	local cellNumW = self:getVersionInfo(id, "map_width_num");
	local cellNumH = self:getVersionInfo(id, "map_hight_num");
	local cellW = self:getCellWidth(id);
	local cellH = self:getCellHight(id);
	return cellNumW * cellW, cellNumH * cellH;
end

function Lua_TownTreasureUtil:getMapBg(id)
	return self:getVersionInfo(id, "map_bg");
end