Lua_VipLevelVo = class("Lua_VipLevelVo");

function Lua_VipLevelVo:ctor(id, config)
    self.id = id;
    self.config = config;
    if self.config == nil then
        self.config = getConfig({ "vip", id });
    end
end

function Lua_VipLevelVo.Get:rewardState()--0:不可领 1:可领 2:已领
    if self._rewardState == nil then
        self._rewardState = 0;
    end
    return self._rewardState;
end

function Lua_VipLevelVo.Set:rewardState(val)
    self._rewardState = val;
end

function Lua_VipLevelVo:getFightPlayShowSpeedByIdx(idx)
    if self.fightPlayShowSpeed == nil then
        return 1;
    end

    if #self.fightPlayShowSpeed >= idx then
        return self.fightPlayShowSpeed[idx];
    end

    return self.fightPlayShowSpeed[#self.fightPlayShowSpeed];
end

function Lua_VipLevelVo:getFightPlaySpeedByIdx(idx)
    if self.fightPlaySpeed == nil then
        return 1;
    end

    if #self.fightPlaySpeed >= idx then
        return self.fightPlaySpeed[idx];
    end
    
    return self.fightPlaySpeed[#self.fightPlaySpeed];
end

------------------------------------ 配置数据 ------------------------------------

function Lua_VipLevelVo.Get:name()--名字
    return self.config.name;
end

function Lua_VipLevelVo.Get:target()--需要vip经验
    return self.config.target;
end

function Lua_VipLevelVo.Get:buy_cost()--购买消耗
    return self.config.buy_cost;
end

function Lua_VipLevelVo.Get:buy_times()--购买次数
    return self.config.buy_times;
end

function Lua_VipLevelVo.Get:last_cost()--原价
    return self.config.last_cost;
end

function Lua_VipLevelVo.Get:discount()--折扣
    return self.config.discount;
end

function Lua_VipLevelVo.Get:normal_turntable_ten_cost()--普通幸运转盘10连消耗
    return self.config.normal_turntable_ten_cost;
end

function Lua_VipLevelVo.Get:vip_reward()--vip等级奖励
    return self.config.vip_reward;
end

function Lua_VipLevelVo.Get:store_refresh_times()--商店钻石刷新次数
    return self.config.store_refresh_times;
end

function Lua_VipLevelVo.Get:privilege_des()--VIP特权描述
    if self.config.privilege_des == nil then
        return "";
    end
    return self.config.privilege_des;
end

function Lua_VipLevelVo.Get:vip_btn_des()--vip界面按键描述
    if self.config.vip_btn_des==nil then
        return "";
    end
    return self.config.vip_btn_des;
end

function Lua_VipLevelVo.Get:fightPlayShowSpeed()--战斗显示加速倍数
    return self.config.fightPlayShowSpeed;
end

function Lua_VipLevelVo.Get:fightPlaySpeed()--战斗实际加速倍数
    return self.config.fightPlaySpeed;
end

function Lua_VipLevelVo.Get:trial_script()--试炼副本购买次数
    if self.config.trial_script==nil then
        return 0;
    end
    return self.config.trial_script;
end

function Lua_VipLevelVo.Get:peak_duel_buy_times()--巅峰对决每日购买匹配次数
    if self.config.peak_duel_buy_times == nil then
        return 0;
    end
    return self.config.peak_duel_buy_times;
end